#!/usr/bin/python3
# -*- coding: utf-8 -*-
#from __future__ import print_function
_FonctionDuProgramme="Lire les bases de données pour créer CAtomes() et CIsotopes"
#print(_FonctionDuProgramme)
_Version="1.0"
#print("version:"+_Version)
import re
import os
##################### debug
import sys

_debug_Titres=True # _debug_Titres=False
_debug_all=True # 
_debug_all=False

if _debug_all==True:
	_debug_Titres=True

if _debug_Titres==True:
	_FichierLog='/tmp/'+re.sub(".*/","",sys.argv[0])+'.log'
	_Log=open(_FichierLog,'w')

def Tprint(*args, **kwargs):
	if _debug_Titres==True:
		print(*args, **kwargs)					
		print(*args,file=_Log)
def Dprint(ligne):
	Iprint(ligne)	
def Iprint(ligne):
	if _debug_all==True:
		print(ligne)
		print('--------------------------')
# # # # # # # # # # # # # # # # # # # debug
# ajout de doc + Tprint sed -e 's/^\(.*\)\(def\ \)\(.*\)$/\1\2\3\n\1\t"""-*\3"""\n\1\tTprint("\3")/' -i aa.py
class br_CDICO(dict):
	  def __missing__(self, key):
		  return ""


DicoFonctions=br_CDICO()
DicoClasses=br_CDICO()

					

class CAtomes(object):
	""" CLASSE CAtome(object) """
	def __init__(self):
		self._BD=None
		self._donnees=br_CDICO()
		
		self.kalzium()
		self.gperiodic()
		self.CouchesElectroniques()
	

		
		
	def remplis_atomes(self,Champs,Donnees,n1,n2):
		""" remplis_atomes(Champs,Donnees,n1,n2):
		n1,n2 : colonne des nomes (H,He...) et nbdeprotons( 1, 2... )
		"""
		#print(Champs)
		
		
		for ligne in Donnees:
			#print(ligne)
			
			if not isinstance(self._donnees[ligne[n1]],br_CDICO):
				self._donnees[ligne[n1]]=br_CDICO()
			if not isinstance(self._donnees[ligne[n2]],br_CDICO):
				self._donnees[ligne[n2]]=br_CDICO()

			for i in range(len(ligne)):
				if i!=n1:
					#print("ligne[n1]][Champs[i]]=ligne[i]",ligne[n1],Champs[i],ligne[i])
					self._donnees[ligne[n1]][Champs[i]]=ligne[i]
				if i!=n2:
					self._donnees[ligne[n2]][Champs[i]]=ligne[i]	
		'''
		for ligne in Donnees:
			
			if not isinstance(ligne[n1],br_CDICO):
				self._donnees[ligne[n1]]=br_CDICO()
			if ligne[n1]=="H" or ligne[n1]==1:			
				for i in range(len(ligne)):
					if i!=n1:
						#print("ligne[n1]][Champs[i]]=ligne[i]",ligne[n1],Champs[i],ligne[i])
						self._donnees[ligne[n1]][Champs[i]]=ligne[i]
		'''		
	'''
	['Nom', 'Symbole', 'Nombre_Atomique', 'Poids_Atomique(u.m)', 'Densite(1E3 kg/m³)', 'Temperature_Fusion(K)', 'Temperature_Ebullition(K)', 'Rayon_Atomique(1E-12 m)', 'Rayon_Covalent(1E-12 m)', 'Rayon_Ionique(1E-12 m)', 'Volume_Atomique(1E-6 m³ / mol)', 'Chaleur_Specifique(1E3 °C J / kg mol)', 'Chaleur_Fusion(kJ/mol)', 'Chaleur_Evaporation(kJ/mol)', 'Conductivite_Thermique(°C W/m K)', 'Temperature_Debye(K)', 'Electronegativite_Pauling', 'Energie_Premiere_ionisation(kJ/mol)', 'Etats_Oxydation', 'Configuration_Electronique', 'Structure_Cristal', 'Constante_Cristal(1E-10 m)', 'Ratio_Cristal', 'Apparence', 'Date_Decouverte', 'Decouvert_Par', 'Origine_Nom', 'X', 'Y', '', 'CouleurFond_rouge', 'CouleurFond_vert', 'CouleurFond_bleu']
	('Hydrogen', 'H', 1, '1.00794', '0.0708 (@ -253&#176;C)', '14.01', '20.28', '79', '32', '154 (-1e)', '14.1', '14.267 (H-H)', '0.117 (H-H)', '0.904 (H-H)', '0.1815', '110.00', '2.2', '1311.', '1, -1', '1s<sup>1</sup>', 'HEX', '3.750', '1.73', 'Colorless, odorless, tasteless gas', '1766 (England)', 'Henry Cavendish', 'Greek: hydro (water) and genes (generate)', 1, 1, 2147483647, 43690, 65535, '0xAAAA')
	'''
		
	def gperiodic(self):
		self.OuvreBDD()
		
		tabletraduction='gperiodicTable'
		self._BD.Mysql_Select( "SELECT * from `"+tabletraduction+"`")
		#print(self._BD._NomsColonnes)
		#print(self._BD._resultats)
		trad=br_CDICO()
		for L in self._BD._resultats:
			trad[L[0]]=(L[1],L[2])
		#print(trad)
		
		
		table='gperiodic'
		self._BD.Mysql_Select( "SELECT * from `"+table+"`")
		
		Iprint('===========    ===========    ===========    ===========    ===========    ')		
		Iprint('=========== '+table+'  =======================')		
		Iprint([trad[L][0]+("("+trad[L][1]+")")*(trad[L][1]!='')  for L in self._BD._NomsColonnes])
		
		#print("self._BD._resultats[0]",self._BD._resultats[0])
		
		Champs=[trad[L][0] for L in self._BD._NomsColonnes]
		Donnees=[list(i) for i in self._BD._resultats]
		
		self.remplis_atomes(Champs,Donnees,1,2)
				
		
		
	def kalzium(self):
		self.OuvreBDD()
		table='kalziumElements'

		self._BD.Mysql_Select( "SELECT * from `"+table+"`")
		Iprint('===========    ===========    ===========    ===========    ===========    ')		
		Iprint('=========== '+table+'  =======================')		
		Iprint(self._BD._NomsColonnes)
		Dprint(self._BD._resultats[0])
		self.remplis_atomes(self._BD._NomsColonnes,self._BD._resultats,0,1)

		
	

		
	def CouchesElectroniques(self):
		self.OuvreBDD()
		table='CouchesElectroniques'

		self._BD.Mysql_Select( "SELECT * from `"+table+"`")
		Iprint('===========    ===========    ===========    ===========    ===========    ')		
		Iprint('=========== '+table+'  =======================')		
		Iprint(self._BD._NomsColonnes)
		Iprint(self._BD._resultats[0])	
		self.remplis_atomes(self._BD._NomsColonnes,self._BD._resultats,0,1)	
		
	def OuvreBDD(self):	
		self._BD=OuvreBDD()
		return self._BD
	
	def ZZZOuvreBDD(self):
		config = {
		'host': 'localhost',
		'database': 'TableauPeriodique',
		'user': 'Scientifique',
		'password': 'mrLAoVeVwsulJAhH',
		}
		try:
			BD=CBaseDeDonnees()
			BD.Mysql_Connection(config)
		except:
			print("BD65 Erreur de chargement de la base de données"	)
			BD=None			
		self._BD=BD
		return BD



class CIsotopes(CAtomes):
	""" CLASSE CIsotopes(CAtomes) """
	def __init__(self):
		self._BD=None
		self._donnees=br_CDICO()
		
		self.kalziumIsotopes()
		self.WikipediaIsotopes()

	def remplis_isotopes(self,Champs,Donnees,n1,n2,sep="/",vide="non"):
		""" remplis_isotopes(Champs,Donnees,n1,n2,sep="/"):"""
		
		
		for ligne in Donnees:
			#print(ligne)
			cle=str(ligne[n1])+str(sep)+str(ligne[n2])
			if not isinstance(self._donnees[cle],br_CDICO):
				self._donnees[cle]=br_CDICO()
			
			for i in range(len(ligne)):
				if i!=n1 and i!=n2:
					#print("ligne[n1]][Champs[i]]=ligne[i]",ligne[n1],Champs[i],ligne[i])					
					
					#self._donnees[cle][Champs[i]]=ligne[i]
					if vide=="non" and ligne[i]!="":
						self._donnees[cle][Champs[i]]=ligne[i]
					if vide=="oui":
						self._donnees[cle][Champs[i]]=ligne[i]
					
	def kalziumIsotopes(self):
		self.OuvreBDD()		
		table='kalziumIsotopes'

		self._BD.Mysql_Select( "SELECT * from `"+table+"`;")
		Iprint('===========    ===========    ===========    ===========    ===========    ')		
		Iprint('=========== '+table+'  =======================')		
		Iprint(self._BD._NomsColonnes)
		Iprint(self._BD._resultats[0])
		self.remplis_isotopes(self._BD._NomsColonnes,self._BD._resultats,7,1)#Z/A
		self.remplis_isotopes(self._BD._NomsColonnes,self._BD._resultats,2,1,"")#PtA						

	def WikipediaIsotopes(self):
		self.OuvreBDD()		
		table='WikipediaIsotopes'
		self._BD.Mysql_Select( "SELECT * from `"+table+"`;")
		self.remplis_isotopes(self._BD._NomsColonnes,self._BD._resultats,4,1)
		self.remplis_isotopes(self._BD._NomsColonnes,self._BD._resultats,2,1,"")						
					
	def OuvreBDD(self):	
		self._BD=OuvreBDD()
		return self._BD


global _trad

def trad(mot):
	try:
		a=_trad[1]
	except:
		_trad=br_CDICO()
		_BD=OuvreBDD()
		tabletraduction='traductions'#'gperiodicTable'
		_BD.Mysql_Select( "SELECT * from `"+tabletraduction+"`")
		for L in _BD._resultats:
			_trad[L[0]]=(L[1],L[2])
		"""for i in _trad:
			print(i,_trad[i])
		"""	
	if _trad[mot]=="":
		_trad[mot]=mot		
	return _trad[mot]







		
		
def OuvreBDD():
	config = {
	'host': 'localhost',
	'database': 'TableauPeriodique',
	'user': 'Scientifique',
	'password': 'mrLAoVeVwsulJAhH',
	}
	try:
		BD=CBaseDeDonnees()
		BD.Mysql_Connection(config)
	except:
		print("BD65 Erreur de chargement de la base de données"	)
		BD=None
	return BD
#DicoClasses['CMachin']=CMachin.__doc__

		
'''
print ( os.path.split('/tmp/bb.jpg') )
('/tmp', 'bb.jpg')
print ( os.path.splitext('/tmp/bb.jpg') )
('/tmp/bb', '.jpg')


print ( os.path.split('/tmp/bb/') )
('/tmp/bb', '')
print ( os.path.splitext('/tmp/bb/') )
('/tmp/bb/', '')



print ( o.split('/tmp/bb') )
('/tmp', 'bb')
print ( os.path.splitext('/tmp/bb') )
('/tmp/bb', '')

'''		
class ZZCFichiers(object):
	def __init__(self,fich=''):
		Tprint('fich.__init__()')
		self._SEP='/'	
		self._fich=fich
		pass#self._repertoire=_rep
	def Valide(self):
		Tprint('fich.Valide()')
		resultat=None
		if os.path.isfile(self._fich):
			resultat=True
		if not os.path.isfile(self._fich):
			resultat=False
		return resultat
	def RepNom(self):#'/tmp'
		Tprint('fich.RepNom()')
		self._RepNom=os.path.split(self._rep)[0]
		return self._RepNom
	def FichNom(self):#bb.jpg
		Tprint('fich.FichNom()')
		self._FichNom=os.path.split(self._rep)[1]
		return self._FichNom
		

class ZZCRepertoires(object):
	def __init__(self,rep=''):
		self._SEP='/'	
		self._Fichs=[]
		self._FichsRec=[]
		self._Reps=[]
		self._RepsRec=[]		
		while rep[-1]==self._SEP:
			rep=rep[:-1]
		self._rep=rep
		pass
		
	def Valide(self):
		Tprint('rep.Valide()')
		resultat=None
		if os.path.isdir(self._rep):
			resultat=True
		if not os.path.isdir(self._rep):
			resultat=False
		return resultat
		
	def Contenu(self):		
		Tprint('rep.Contenu()')
		for root, reps, files in os.walk(self._rep):
			for fich in files: #page038.jpg 
				self._FichsRec.append(CFichiers(os.path.join(root, fich)))	
				fullurl = os.path.join(root, fich) #/home/aa/Tome1/page038.jpg
				print(fullurl)
			for rep in reps:
				self._RepsRec.append(CRepertoires(os.path.join(root, rep)))	
				fullurl = os.path.join(root, rep) #/home/aa/Tome1/page038.jpg
				print(fullurl)
				
	def RepNom(self):#'/tmp'
		Tprint('rep.RepNom()')
		self._RepNom=os.path.split(self._rep)[0]
		return self._RepNom
		
	def FichNom(self):#rep1
		Tprint('rep.FichNom()')
		self._FichNom=os.path.split(self._rep)[1]
		return self._FichNom
				
					


#self.thumbs=os.listdir(rep)
#(os.path.splitext(i)[1])[1:]
#self.thumbs=[ i for i in self.thumbs if ((os.path.splitext(i)[1])[1:]).lower() in SuffixesImages ]		#AfficheImagesAvecLegendes

	
global main

import CBaseDeDonnees
from CBaseDeDonnees import CBaseDeDonnees


if __name__ == "__main__":
	i=CIsotopes()
	a=CAtomes()
	DONNEES=dict()
	DONNEES.update(i._donnees)
	DONNEES.update(a._donnees)
	
	if len(sys.argv)==1:	
	
		print("Le programme lancé est "+sys.argv[0])
		
		print(_FonctionDuProgramme)
		print("version:"+_Version)
		
		print('commencer par \nimport CAtomes\nfrom CAtomes import *')
		
		print('initialiser les bases : \na=CAtomes()')	
		print('on accède aux données par\n a._donnees["H"] ou a._donnees[1]')

		print('initialiser les bases : \nb=CIsotopes()')	
		print('on accède aux données par\n b._donnees["92/235"] ou b._donnees["U235"]')
			
			
		print(('===  '*10+"\n")*2)
			
		
		#a.kalziumIsotopes()	
		
		print('i._donnees["U235"] ou '+'i._donnees["92/235"]',i._donnees["U235"])
		
		
		
		"""
		
		a.kalzium()
		print('a._donnees["H"] ou a._donnees[1]',a._donnees["H"])
		
		a.gperiodic()
		print('a._donnees["H"] ou a._donnees[1]',a._donnees["H"])
			
		a.CouchesElectroniques()
		"""
			
		print('a._donnees["H"] ou a._donnees[1]',a._donnees["H"])
		
		
		
		
		
		print(DONNEES["H"]['electronegativityPauling'])
		print(DONNEES["U235"]['electronegativityPauling'])

		
		print('from CAtomes import CAtomes ; a=CAtomes() ; a._donnees["H"] ou a._donnees[1]')
		
		print('from CAtomes import CIsotopes ; a=CIsotopes() ; a._donnees["U235"] ou a._donnees["92/235"]')	
		
		sys.exit()

	if len(sys.argv)==2:
		mot=sys.argv[1]		
		print('recherche de :',mot)
		
		if "*" not in mot:
			for x in [y for y in DONNEES if mot == str(y)]:
				print(x)
				for y in DONNEES[x]:
					print(trad(y),DONNEES[x][y])
		print('== '*20)
		if "*" in mot:
			mot=re.sub("\*","",mot)
			for x in [y for y in DONNEES if mot in str(y)]:
				print('... '*7+str(x)+" ..."*5)
				print(x)
				for y in DONNEES[x]:
					print(trad(y),DONNEES[x][y])	
		
		
