#!/usr/bin/python2
# -*- coding: iso-8859-15 -*-
from __future__ import print_function

_FonctionDuProgramme="Classe traduisant les fichiers"
#print(_FonctionDuProgramme)
_Version="15.0"
# version=14.2
#voir dictionnaireV12.dia
""" UTILISATION :
V15 tentative d utilisation des propositions
V14.2  TraduitFormules MTW
V14.1 : abandonn
V14 utilisation de plusieurs dictionnaires : self.DicoAdditionnels()
V13.1 self._FichierTraduit=self.TraduitUnFichier(fichier) 
V13 : ajout de PrepareLigne et propositions dans =>Traduit
import dictionnaire
dico=br_Cdictionnaire()
LigneTraduite=dico.Traduit(LigneATraduire)
"""

"""
Tprint() : affiche titres
Dprint() : affiche debug

br_Cdictionnaire.trans : tous les couples de mots
br_Cdictionnaire.DicoAdditionnel #AJOUT DE MOTS [mo,po] dans un dico non prpar
br_Cdictionnaire.CreeDictionnaire #rempli self.trans=[[motEng,motFr] ]
br_Cdictionnaire.CreePlurielsEnS4 #AJOUT DE MOTS AVEC UN s FINAL [mo,po] -> [mos,pos]
br_Cdictionnaire.CreeDictionnairePhysique #AJOUT DE MOTS [mo,po]
br_Cdictionnaire.CreeDictionnaireBlender #AJOUT DE MOTS [mo,po]

br_Cdictionnaire.PremieresTraductions #specialites anglaises a pr traduire

br_Cdictionnaire.DernieresTraductions #specialites francaises a post traduire
br_Cdictionnaire.Range # ordonn par longueur en anglais puis alphabtiquement
br_Cdictionnaire.Uniq #s'assure de l'unicit
br_Cdictionnaire.ChercheUnMot #chercher un mot
br_Cdictionnaire.Traduit # Traduit une ligne
br_Cdictionnaire.Traduit43 # COEUR DE LA TRADUCTION
"""
import re,os,sys

##################### debug
_debug=False # _debug=True
_debug_Titres=False # _debug_Titres=True 
def Tprint(*args, **kwargs):
	if _debug_Titres==True:
		print(*args, **kwargs)	
"""
if _debug==True:
	_FichierLOG=open('traducteur.log','w')
"""
def Dprint(*args, **kwargs):
	if _debug==True:
		print("debug:",*args, **kwargs)

def TradPrint(*args, **kwargs):
	if _debug==True:
		print("TRAD:",*args, **kwargs)		
		
def ErrPrint(*args, **kwargs):
	print("ErrPrint:",*args, **kwargs)
	
def TraduitUnFichierPrint(*args, **kwargs):
	print("TRAD:",*args, **kwargs)	

##################### CLASSE PRINCIPALE : br_Cdictionnaire
class br_Cdictionnaire(object):
	def __init__(self,auto=True):
		Tprint('\n-*- init br_Cdictionnaire')
		self.trans=[]
		if auto==True:
			self.CreeDictionnaire()						
					
	def DicoAdditionnels(self):
		rep='dictionnaires_additionnels/'
		rep='/home/bruno/Bureau/PROGRAMMATION/PYTHON/CLASSES/dictionnaires_additionnels/'
		dicos=[rep+'MTW04.txt',rep+'MTW07.txt',rep+'dico_additionnel.txt',rep+'dico_additionnel-zola-jaccuse.txt','LIVRES/lepetit prince/dico_additionnel-lepetitprinceChap01.txt']
		dicos=[rep+'MTW_sommaire-fr.txt',rep+'MTW_21-40.txt',rep+'MTW_01-20.txt',rep+'dico_additionnel.txt',rep+'dico_additionnel-zola-jaccuse.txt',rep+'dico_additionnel-lepetitprinceChap01.txt']
		dicos+=[rep+'MTW.txt',rep+'dico_additionnel-physique.txt']
		Dicoadd=[]
		for dico in dicos:
			Dicoadd+=self.DicoAdditionnel(dico)
		return Dicoadd
			
		
		
	def DicoAdditionnel(self,fich='dico_additionnel.txt'): #AJOUT DE MOTS [mo,po] dans un dico non prpar
		#'nom eng, nom fran' V8
		# ne pas commencer par a ou an ou the
		Tprint('-*** init br_Cdictionnaire.DicoAdditionnel:',fich)		
		DicoAdd=[]
		if os.path.isfile(fich):
			f= open(fich,'r')
			for ligne in f.readlines():			
				if '#' in ligne:
					tmp=ligne.split('\n')[0].split('#')
					DicoAdd+=[(tmp[0],tmp[1])]
					Dprint('** '+tmp[0]+'=>'+tmp[1])
			f.close()
		else:
			ErrPrint('le fichier "'+fich+'" n\'existe pas.')			
		
		rep='/home/bruno/Bureau/PROGRAMMATION/PYTHON/CLASSES/dictionnaires_additionnels/'
		fich='dictionnaires_additionnels/dico_additionel-formules.txt'
		fich=rep+'dico_additionel-formules.txt'
		
		DicoFormules=[]
		if os.path.isfile(fich):
			f= open(fich,'r')
			for ligne in f.readlines():
				if '#' in ligne:
					tmp=ligne.split('\n')[0].split('#')
					DicoFormules+=[(tmp[0],tmp[1])]
					#DicoFormules+=[(tmp[0].replace('\\','\\\\'),tmp[1])]
					#DicoFormules+=[(tmp[0].replace(')','\)'),tmp[1])]
					#DicoFormules+=[(tmp[0].replace('(','\('),tmp[1])]
					Dprint('** '+tmp[0]+'=>'+tmp[1])
			f.close()
		else:
			ErrPrint('le fichier "'+fich+'" n\'existe pas.')
		self._DicoFormules=DicoFormules
		return DicoAdd
	
	
	
	
	
	def CreeDictionnaire(self):#rempli self.trans=[[motEng,motFr] ]
		Tprint('-** init br_Cdictionnaire.CreeDictionnaire')
		
		#AJOUT DE MOTS [mo,po]
		Phys=self.CreeDictionnairePhysique() #self.trans=Phys
		#AJOUT DE MOTS [mo,po]
		Blender=self.CreeDictionnaireBlender() #self.trans=Phys+Blender		
		#AJOUT DE MOTS [mo,po] dans un dico non prpar		
		#DicoAdd=self.DicoAdditionnel('dico_additionnel.txt')
		#DicoAdd+=self.DicoAdditionnel('dico_additionnel-zola-jaccuse.txt')
		DicoAdd=self.DicoAdditionnels()
		self.trans=Phys+Blender+DicoAdd
		#AJOUT DE MOTS AVEC UN s FINAL [mo,po] -> [mos,pos]
		Pluriels=self.CreePlurielsEnS4()
		self.trans+=Pluriels
		"""
		self.trans=[('one can', 'on peut')]+[('zzzzzzz', 'zzzzzzzz')]

		"""
		self.Range()
		return self.trans
	
	def EnregistreDictionnaire(self):
		Tprint('-** init br_Cdictionnaire.EnregistreDictionnaire')
		f=open('/tmp/DicoEnCours',"w")
		print(self.trans,file=f)
		f.close()
		
	
	def CreePlurielsEnS4(self):#AJOUT DE MOTS AVEC UN s FINAL [mo,po] -> [mos,pos]
		Tprint('-*** init br_Cdictionnaire.CreePlurielsEnS4')
		Pluriels=[]
		for l in self.trans:
			try:
				if l[0][-1]!='s':			
					Pluriels+=[(l[0]+'s',l[1]+'s')]
			except:
				print(l)		
		#self.trans+=Pluriels
		
		return Pluriels
		
			
	def CreeDictionnairePhysique(self):#AJOUT DE MOTS [mo,po]
		Tprint('-*** init br_Cdictionnaire.CreeDictionnairePhysique')
		physique=[]
					
		physique += [("4-dimensional brane","brane  4 dimensions")]
		physique += [("4-dimensional fundamental Planck mass","masse de Planck fondamentale  4 dimensions")]
		physique += [("able to","capable de")]
		physique += [("about","environ")]
		physique += [("above","au dessus de")]
		physique += [("abruptly","abruptement")]
		physique += [("absence","absence")]
		physique += [("absolute","absolut")]
		physique += [("absorb","absorbe")]
		physique += [("abundance","abondance")]
		physique += [("abundances","abondances")]
		physique += [("academy","academie")]
		physique += [("accelerate","acclre")]
		physique += [("accelerating","acclrant")]
		physique += [("acceleration","acclration")]
		physique += [("accelerator","acclrateur")]
		physique += [("acceptance","acceptance")]
		physique += [("accepts","accept")]
		physique += [("accessibility","accessibilit")]
		physique += [("accessible","accessible")]
		physique += [("accidentally","accidentally")]
		physique += [("accomplished","accomplie")]
		physique += [("according to","selon")]
		physique += [("account","compte")]
		physique += [("accounts","comptes")]
		physique += [("accumulated","accumul")]
		physique += [("accuracy","accuracy")]
		physique += [("accuracy","prcision")]
		physique += [("accurately","avec prcision")]
		physique += [("accurate","prcis")]
		physique += [("achieve","accomplit")]
		physique += [("achievements","russite")]
		physique += [("achieving","ralisant")]
		physique += [("acknowledgements","remerciements")]
		physique += [("acknowledge","reconnat")]
		physique += [("a concern","une inquitude")]
		physique += [("acquiring","acqurant")]
		physique += [("acquisition","acquisition")]
		physique += [("action","action")]
		physique += [("actually","en ralit")]
		physique += [("added","ajout")]
		physique += [("addition","addition")]
		physique += [("additional","additionnel")]
		physique += [("additionnal feature","caractristique additionnelle")]
		physique += [("add model","modle ADD")]
		physique += [("ADD parameters","paramtres ADD")]
		physique += [("address","addresse")]
		physique += [("addressed","address")]
		physique += [("adequately","adquatement")]
		physique += [("adjacent","adjacent")]
		physique += [("adjustment","ajustement")]
		physique += [("admits","admet")]
		physique += [("adopted","adopt")]
		physique += [("advantage","avantage")]
		physique += [("a few","quelques")]
		physique += [("affect","affecte")]
		physique += [("affected","affect")]
		physique += [("affecting","affectant")]
		physique += [("affects","affecte")]
		physique += [("after","aprs")]
		physique += [("again","encore")]
		physique += [("against","contre")]
		physique += [("agencies","agences")]
		physique += [("agreement","accord")]
		physique += [("agrees","est en accord avec")]
		physique += [("aiming","visant")]
		physique += [("air","air")]
		physique += [("albeit","bien que")]
		physique += [(" le","au")]
		physique += [("allowed","permis")]
		physique += [("allowed range","intervalle permis")]
		physique += [("allowing","permettant")]
		physique += [("allow","permet")]
		physique += [("allows","permet")]
		physique += [("allows us to","nous permet de")]
		physique += [("all","tous")]
		physique += [("almost","presque")]
		physique += [("alone","seul")]
		physique += [("already","dj")]
		physique += [("also","donc")]
		physique += [("altered","altr")]
		physique += [("alternative","alternatif")]
		physique += [("although","bien que")]
		physique += [("altitudes","altitudes")]
		physique += [("always","toujours")]
		physique += [("among","parmi")]
		physique += [("amount","quantit")]
		physique += [("amounts","quantits")]
		physique += [("amplifier","amplificateur")]
		physique += [("amplitude","amplitude")]
		physique += [("analogous","analogue")]
		physique += [("analogy","analogie")]
		physique += [("analyses","analyses")]
		physique += [("analysis","analyse")]
		physique += [("analyze","analyse")]
		physique += [("and","et")]
		physique += [("and even","et mme")]
		physique += [("angle","angle")]
		physique += [("angular momentum","moment angulaire")]
		physique += [("anomalous","anormal")]
		physique += [("anomaly","anomalie")]
		physique += [("another","un autre")]
		physique += [("answer","rponse")]
		physique += [("antenna","antenne")]
		physique += [("anticipated","anticipat")]
		physique += [("antisymmetric","antisymtrique")]
		physique += [("a number","un nombre")]
		physique += [("anything","n'importe quoi")]
		physique += [("apart"," part")]
		physique += [("apparatus","apparatus")]
		physique += [("apparent","apparent")]
		physique += [("appearance","apparition")]
		physique += [("appear","apparat")]
		physique += [("appears","apparat")]
		physique += [("appendix","appendix")]
		physique += [("application","application")]
		physique += [("applications","applications")]
		physique += [("applied","appliqu")]
		physique += [("apply","applique")]
		physique += [("appreciably","de faon apprciable")]
		physique += [("approaches","approche")]
		physique += [("appropriate","appropri")]
		physique += [("approximate","approxime")]
		physique += [("approximated","approxim")]
		physique += [("approximately","approximativement")]
		physique += [("arbitrarily","arbitrairement")]
		physique += [("arbitrary","arbitraire")]
		physique += [("area","aire")]
		physique += [("are excluded at","sont exclues ")]
		physique += [("are excluded","sont exclues")]
		physique += [("are shown","sont montrs")]
		physique += [("are","sont")]
		physique += [("are the","sont les")]
		physique += [("argued","dbattu")]
		physique += [("arguments","arguments")]
		physique += [("arise from","rsulte de")]
		physique += [("arise in","surgit dans")]
		physique += [("arises from","rsulte de")]
		physique += [("arises in","surgit dans")]
		physique += [("arising","provenant")]
		physique += [("armed","arm")]
		physique += [("around","autour")]
		physique += [("arrival","arrive")]
		physique += [("arrive","arrive")]
		physique += [("arrives","arrive")]
		physique += [("arriving","arrivant")]
		physique += [("artificial","artificiel")]
		physique += [("artificially","artificiellement")]
		physique += [("artistic","artistique")]
		physique += [("as expected","comme attendu")]
		physique += [("as expected dans","comme attendu dans")]
		physique += [("as gravitons","comme gravitons")]
		physique += [("as low as","aussi petit que")]
		physique += [("aspects","aspects")]
		physique += [("assigned","assign")]
		physique += [("associate","associe")]
		physique += [("associated","associ")]
		physique += [("associating","associant")]
		physique += [("assume","assume")]
		physique += [("assuming","supposant")]
		physique += [("assumptions","hypothses")]
		physique += [("assumption","supposition")]
		physique += [("a stable","un stable")]
		physique += [("astrophysical and cosmological experiments","expriences astrophysiques et cosmologiques")]
		physique += [("astrophysical","astrophysique")]
		physique += [("astrophysically","astrophysique")]
		physique += [("astrophysics","astrophysique")]
		physique += [("as usual","comme d'habitude")]
		physique += [("as well as","aussi bien que")]
		physique += [("at","")]
		physique += [("a tev","un TeV")]
		physique += [("atlas","atlas")]
		physique += [("atmosphere","atmosphre")]
		physique += [("atom","atome")]
		physique += [("atomic","atomique")]
		physique += [("atomic clock","horloge atomique")]
		physique += [("atoms","atomes")]
		physique += [("attached","attach")]
		physique += [("attaching","attachant")]
		physique += [("attained","attaint")]
		physique += [("attempts","essaie")]
		physique += [("at this energy scale"," cette chelle d'nergie")]
		physique += [("attraction","attraction")]
		physique += [("attractive","attractif")]
		physique += [("attributed","attribu")]
		physique += [("authority","autorit")]
		physique += [("automatically","automatiquement")]
		physique += [("automatic","automatique")]
		physique += [("available","permis")]
		physique += [("averaged","moyenn")]
		physique += [("average kinetic energy","nergie cintique moyenne")]
		physique += [("average","moyenne")]
		physique += [("averaging over","moyennant sur")]
		physique += [("avoid","vite")]
		physique += [("a way to","une faon de")]
		physique += [("axion","axion")]
		physique += [("axion emission","mission d'axion")]
		physique += [("axions","axions")]
		physique += [("back","en arrire")]
		
		physique += [("backward","vers l'arrire")]
		physique += [("balls","balles")]
		physique += [("bandwidth","largeur de bande")]
		physique += [("bare","bare")]
		physique += [("baryon","baryon")]
		physique += [("based","fond")]
		physique += [("basically","basiquement")]
		physique += [("basic","basique")]
		physique += [("basis","bases")]
		physique += [("beam","faisceau")]
		physique += [("beam intensity","intensit du faisceau")]
		physique += [("because of"," cause de")]
		physique += [("because","parce que")]
		physique += [("become","devient")]
		physique += [("becomes","deviens")]
		physique += [("been","t")]
		physique += [("before","avant")]
		physique += [("beginning","commenant")]
		physique += [("begins","commence")]
		physique += [("begs another, more dramatic question","rsoud une autre question plus dramatique")]
		physique += [("behavior","comportement")]
		physique += [("behind","derrire")]
		physique += [("being","tant")]
		physique += [("below","en dessous")]
		physique += [("benchmark","point de rfrence")]
		physique += [("benchmarks","points de rfrence")]
		physique += [("beneath","en dessous de")]
		physique += [("best","meilleur")]
		physique += [("between","entre")]
		physique += [("be used","tre utilis")]
		physique += [("beyond","au-del")]
		physique += [("BH evaporation parameters","paramtres d'vaporation d'un trou noir")]
		physique += [("BH event","vnement de type trou noir")]
		physique += [("BH events","vnements de type trou noir")]
		physique += [("BH event simulations","simulations d'vnements de type trou noir")]
		physique += [("BH formation","formation de trou noir")]
		physique += [("BH formation parameters","paramtres de formation d'un trou noir")]
		physique += [("BH forms","trou noir se forme")]
		physique += [("BH may form","trou noir peut former")]
		physique += [("BH production ","production de trou noir")]
		physique += [("BH production","production de trou noirs")]
		physique += [("BH scale.","chelle du trou noir")]
		physique += [("BH signature","signature de trou noir")]
		physique += [("BH signatures","signatures d'un trou noir")]
		physique += [("bh","trou noir")]
		physique += [("bigger","plus grand que")]
		physique += [("binding energy","nergie de liaison")]
		physique += [("bisection","bisection")]
		physique += [("Black Hole formation","formation de trou noir")]
		physique += [("black holes","trous noirs")]
		physique += [("black hole","trou noir")]
		physique += [("body","corps")]
		physique += [("boiling","bouillant")]
		physique += [("born","n")]
		physique += [("boson","boson")]
		physique += [("bosons","bosons")]
		physique += [("both","les deux")]
		physique += [("bottom","en dessous")]
		physique += [("bounded","limit")]
		physique += [("bound","limite")]
		physique += [("bounds","limites")]
		physique += [("bounds on","limites sur")]
		physique += [("brackets","brackets")]
		physique += [("branching","branching")]
		physique += [("brane","brane")]
		physique += [("break","casse")]
		physique += [("breaking","cassant")]
		physique += [("breaks","casse")]
		physique += [("brehmstrahlung","brehmstrahlung")]
		physique += [("briefly","brivement")]
		physique += [("bringing","apportant")]
		physique += [("broadening","largissement")]
		physique += [("broken","cass")]
		physique += [("brought","apport")]
		physique += [("building","construisant")]
		physique += [("bulk","corpulence")]
		physique += [("bunch","grappe")]
		physique +=[('bunch','groupe')]
		physique += [("but","mais")]
		physique += [("by accelerating","en acclrant")]
		physique += [("by comparing","en comparant")]
		physique += [("by establishing","en tablissant")]
		physique += [("by evaluating","en valuant")]
		physique += [("by expressing","en exprimant")]
		physique += [("by extrapolating","en extrapolant")]
		physique += [("by integrating","en intgrant")]
		physique += [("by introducing","en introduisant")]
		physique += [("by noticing","en notant")]
		physique += [("by","par le")]
		physique += [("by removing","en enlevant")]
		physique += [("by running","en lanant")]
		physique += [("by taking","en prenant")]
		physique += [("by transporting","en transportant")]
		physique += [("calculable","calculable")]
		physique += [("calculate","calcule")]
		physique += [("calculation","calcul")]
		physique += [("calculations","calcules")]
		physique += [("calibrated","calibr")]
		physique += [("calibration","calibration")]
		physique += [("calibrations","calibrations")]
		physique += [("call","appelle")]
		physique += [("called","appel")]
		physique += [("campaign","campagne")]
		physique += [("can also be derived","peut aussi tre dduite")]
		physique += [("cancel","annule")]
		physique += [("canceled","annul")]
		physique += [("canceling","annulant")]
		physique += [("cancellation","annulation")]
		physique += [("cancels","annule")]
		physique += [("can form","peut se former")]
		physique += [("cannot","ne peut pas")]
		physique += [("canonically","caninoquement")]
		physique += [("can","peut")]
		physique += [("can propagate","peut se propager")]
		physique += [("captured","captur")]
		physique += [("careful","prudent")]
		physique += [("carried","transport")]
		physique += [("carry away","emmne")]
		physique += [("carrying","portant")]
		physique += [("carry","porter")]
		physique += [("case","cas")]
		physique += [("cases","cases")]
		physique += [("casimir","casimir")]
		physique += [("cause","cause")]
		physique += [("cdf","cdf")]
		physique += [("ceases","cesse")]
		physique += [("centered","centr")]
		physique += [("center of masse energy","centre d'nergie de masse")]
		physique += [("center of mass energy","nergie du centre de masse")]
		physique += [("central","central")]
		physique += [("centred","centr")]
		physique += [("cern proton synchrotron","synchrotron  protons du cern")]
		physique += [("CERN's LHC","LHC du CERN")]
		physique += [("certainly","certainement")]
		physique += [("chains","chanes")]
		physique += [("chambers","chambres")]
		physique += [("change","change")]
		physique += [("changes","change")]
		physique += [("changing","changeant")]
		physique += [("channel","canal")]
		physique += [("characterise","caractrise")]
		physique += [("characteristics","caractristiques")]
		physique += [("characterized","caractris")]
		physique += [("charge","charge")]
		physique += [("charged","charg")]
		physique += [("charged current","courant charg")]
		physique += [("charged current interaction","interaction par courant charg")]
		physique += [("checked","vrifi")]
		physique += [("check","vrifie")]
		physique += [("chiral","chiral")]
		physique += [("choice","choisit")]
		physique += [("choices","cjoix")]
		physique += [("choose","choisit")]
		physique += [("choosing","choisissant")]
		physique += [("chosen","choisit")]
		physique += [("chosen value","valeur choisie")]
		physique += [("circuit","circuit")]
		physique += [("classes","classes")]
		physique += [("classical","classique")]
		physique += [("classification","classification")]
		physique += [("clearly","clairement")]
		physique += [("closed","ferm")]
		physique += [("close","ferme")]
		physique += [("closes","ferme")]
		physique += [("closure","fermeture")]
		physique += [("cms","cms")]
		physique += [("CMS collaboration","collaboration CMS")]
		physique += [("CMS data","donnes du CMS")]
		physique += [("CMS experimental data","donnes exprimentales du CMS")]
		physique += [("CMS search","recherche CMS")]
		physique += [("cngs beam","faisceau cngs")]
		physique += [("cngs neutrinos","neutrinos cngs")]
		physique +=[('coarse','pais')]
		physique += [("coaxial","coaxial")]
		physique += [("code","code")]
		physique += [("coefficient","coefficient")]
		physique += [("coefficients","coefficients")]
		physique += [("coherent","cohrent")]
		physique += [("coincidence","coincidence")]
		physique += [("coincides","coincide")]
		physique += [("collaboration","collaboration")]
		physique += [("collaborations","collaborations")]
		physique += [("collaborators","collaborateurs")]
		physique += [("collapse","s'effondre")]
		physique += [("collected","collect")]
		physique += [("collider","collisionneur")]
		physique += [("collider experiments","expriences de collisionneur")]
		physique += [("colliders","collisionneurs")]
		physique += [("collide","se heurtent")]
		physique += [("colliding","se heurtant")]
		physique += [("collision","collision")]
		physique += [("collisions","collisions")]
		physique += [("colorlinks","colorlinks")]
		physique += [("combination","combinaison")]
		physique += [("combinations","combinaisons")]
		physique += [("combine","combine")]
		physique += [("combined","combin")]
		physique += [("combining","combinant")]
		physique += [("comes from","vient de")]
		physique += [("come","vient")]
		physique += [("comfortably","confortablement")]
		physique += [("coming","venant")]
		physique += [("comment","commente")]
		physique += [("comments","commentaires")]
		physique += [("comments","utiles")]
		physique += [("commissioning phases","phase de mise en service")]
		physique += [("common","commun")]
		physique += [("commonly","communment")]
		physique += [("compact","compacte")]
		physique += [("compacte muon solenoid","C.M.S.")]
		physique += [("compacte muon solenoid collaboration","collaboration C.M.S.")]
		physique += [("compactification","compactification")]
		physique += [("compactified","compact")]
		physique += [("compactify","compacifie")]
		physique += [("compactifying","compacifiant")]
		physique += [("comparable","comparable")]
		physique += [("comparably","comparablement")]
		physique += [("compare","compare")]
		physique += [("compared","compar")]
		physique += [("compares","compare")]
		physique += [("comparing","comparant")]
		physique += [("comparison","comparaison")]
		physique += [("comparisons","comparaisons")]
		physique += [("compatible","compatible")]
		physique += [("compensate","compense")]
		physique += [("compensating","compensant")]
		physique += [("completed","complt")]
		physique += [("completely","compltement")]
		physique += [("complex","complexe")]
		physique += [("component","composante")]
		physique += [("components","composantes")]
		physique += [("composed","compos")]
		physique += [("composing","composant")]
		physique += [("compositeness","compos")]
		physique += [("compton","compton")]
		physique += [("compute","calcule")]
		physique += [("computed","calcul")]
		physique += [("computes","calcule")]
		physique += [("computing","calculant")]
		physique += [("computing infrastructure essential","essentiel de l'infrastructure de calcul")]
		physique += [("conceivably","videmment")]
		physique += [("concern","concerne")]
		physique += [("concerned","concern")]
		physique += [("conclusion","conclusion")]
		physique += [("conclusions","conclusions")]
		physique += [("concrete","concret")]
		physique += [("condensation","condensation")]
		physique += [("condition","condition")]
		physique += [("conducted","conduit")]
		physique += [("confidential","confidentiel")]
		physique += [("configuration","configuration")]
		physique += [("configurations","configurations")]
		physique += [("confine","confine")]
		physique += [("confined","confin")]
		physique += [("confirmed","confirm")]
		physique += [("confirming","confirmant")]
		physique += [("conflict","conflit")]
		physique += [("connected","connect")]
		physique += [("connection","connexion")]
		physique += [("connections","connexions")]
		physique += [("connector","connecteur")]
		physique += [("connectors","connecteurs")]
		physique += [("consecutive","conscutive")]
		physique += [("consequence","consquence")]
		physique += [("conserve","conserve")]
		physique += [("conserved","conserv")]
		physique += [("conserving","conservant")]
		physique += [("considerations","considrations")]
		physique += [("consider","considre")]
		physique += [("considered","considr")]
		physique += [("considering","considrant")]
		physique += [("consist","consiste")]
		physique += [("consisted","consistait")]
		physique += [("consistency","consistance")]
		physique += [("consistent","cohrent")]
		physique += [("consistent results","rsultats cohrents")]
		physique += [("consisting","consistant")]
		physique += [("consists","consiste")]
		physique += [("constant","constant")]
		physique += [("constants","constantes")]
		physique += [("constitute","constitut")]
		physique += [("constituting","constituant")]
		physique += [("constrain","contraint")]
		physique += [("constrained","contraints")]
		physique += [("constraining","contraignant")]
		physique += [("constraint","contrainte")]
		physique += [("constraints","contraintes")]
		physique += [("construct","construit")]
		physique += [("constructing","construisant")]
		physique += [("construction","construction")]
		physique += [("constructive","constructif")]
		physique += [("constructive discussions","discussions constructive")]
		physique += [("contact","contact")]
		physique += [("contained","contenu")]
		physique += [("containing","contenant")]
		physique += [("contains","contient")]
		physique += [("contamination","contamination")]
		physique += [("contaminations","contaminations")]
		physique += [("context","contexte")]
		physique += [("continental drift","drive des continents")]
		physique += [("continuous","continue")]
		physique += [("continuously","continument")]
		physique += [("continuous transfert","transfert continue")]
		physique += [("contract","contrat")]
		physique += [("contrast","contraste")]
		physique += [("contribute","contribut")]
		physique += [("contributes","contribue")]
		physique += [("contributing","contribuant")]
		physique += [("contribution","contribution")]
		physique += [("contributions","contributions")]
		physique += [("control","contrle")]
		physique += [("controller","controlleur")]
		physique += [("conveners","conveners")]
		physique += [("conveners","organisateurs")]
		physique += [("convenient","pratique")]
		physique += [("conventional","conventionel")]
		physique += [("conversion","conversion")]
		physique += [("convert","convertit")]
		physique += [("converted","convertis")]
		physique += [("converter","converteur")]
		physique += [("converting","convertissant")]
		physique += [("converts","convertit")]
		physique += [("cooling","refroidissant")]
		physique += [("cools","refroidit")]
		physique += [("coordinate","coordonne")]
		physique += [("coordinates","coordonnes")]
		physique += [("copies","copies")]
		physique += [("copious","abondant")]
		physique += [("copiously","abondamment")]
		physique += [("core","core")]
		physique += [("correct","correcte")]
		physique += [("corrected","corrig")]
		physique += [("correcting","corrigeant")]
		physique += [("correction","correction")]
		physique += [("corrections","corrections")]
		physique += [("correctly","correctement")]
		physique += [("correlating","corrlant")]
		physique += [("corresponding","correspondant")]
		physique += [("correspondingly","proportionnellement")]
		physique += [("corresponds","correspond")]
		physique += [("cosmic","cosmique")]
		physique += [("cosmic ray observations","observations des rayonnements cosmiques")]
		physique += [("cosmic ray","rayonnement cosmique")]
		physique += [("cosmological","cosmologique")]
		physique += [("cosmologically","cosmologiquement")]
		physique += [("cosmology","cosmologie")]
		physique += [("cost","cote")]
		physique += [("could","pourrait")]
		physique += [("count","compte")]
		physique += [("counter","compteur")]
		physique += [("counter-example","contre exemple")]
		physique += [("counting experiments","compter les expriences")]
		physique += [("couple","couple")]
		physique += [("coupled","coupl")]
		physique += [("coupled interactions","intractions couples")]
		physique += [("couples","couples")]
		physique += [("coupling","couplage")]
		physique += [("couplings","couplages")]
		physique += [("course","course")]
		physique += [("covariant","covariant")]
		physique += [("covariant derivative","drive covariante")]
		physique += [("CP problem","problme CP")]
		physique += [("created","cr")]
		physique += [("creating","crant")]
		physique += [("criteria","critre")]
		physique += [("critical","critique")]
		physique += [("critically","d'une faon critique")]
		physique += [("cross","croix")]
		physique += [("crossing","traverse")]
		physique += [("cross section","section efficace")]
		physique += [("cross-section","section efficace")]
		physique += [("cross-sections","sections efficaces")]
		physique += [("crucial","cruciale")]
		physique += [("crucially","crucialement")]
		physique += [("crystal","crystal")]
		physique += [("cumulative","cumulatif")]
		physique += [("current","courant")]
		physique += [("currently","courrament")]
		physique += [("curvatures","courbures")]
		physique += [("curvature","une courbure")]
		physique += [("curves","courbes")]
		physique += [("cutoff","seuil")]
		physique += [("cutting","coupant")]
		physique += [("cycle","cycle")]
		physique += [("cylindrical","cylindrique")]
		physique += [("dangerous","dangereux")]
		physique += [("dangerously","dangereusement")]
		physique += [("dark","sombre")]
		physique += [("dashed curve","courbe pointille")]
		physique += [("data","donne")]
		physique += [("data-taking period","priode de prise de donnes")]
		physique += [("decay","dsintgration")]
		physique += [("decayed","dsintgr")]
		physique += [("decaying","dsintgrant")]
		physique += [("decay products","produits de dsintgration")]
		physique += [("decays","se dsintgre")]
		physique += [("decay tunnel","tunnel de dsintgration")]
		physique += [("december","dcember")]
		physique += [("decompactified","dcompact")]
		physique += [("decouple","dcouple")]
		physique += [("decoupling","dcouplant")]
		physique += [("decrease","diminue")]
		physique += [("decreases","diminue")]
		physique += [("decreasing","diminuant")]
		physique += [("dedicated","ddi")]
		physique += [("deduce","dduire")]
		physique += [("defect","dfaut")]
		physique += [("defined","dfinit")]
		physique += [("define","dfinit")]
		physique += [("definite","definit")]
		physique += [("definition","dfinition")]
		physique += [("degenerate","dgnre")]
		physique += [("degrees","degrs")]
		physique += [("delayed","retard")]
		physique += [("delocalized","dlocalis")]
		physique += [("demand","exige")]
		physique += [("demands","exige")]
		physique += [("densities","densits")]
		physique += [("density","densit")]
		physique += [("department","dpartement")]
		physique += [("depend","dpend")]
		physique += [("dependence","dpendance")]
		physique += [("dependent","dependant")]
		physique += [("depending","dpendant")]
		physique += [("depends","dpend")]
		physique += [("depens on","dpend de")]
		physique += [("deposition","dpt")]
		physique += [("derivation","drivation")]
		physique += [("derived","driv")]
		physique += [("derive","drive de")]
		physique += [("described","dcrit")]
		physique += [("describe","dcrit")]
		physique += [("describes","dcrit")]
		physique += [("describing","dcrivant")]
		physique += [("description","description")]
		physique += [("designed","conu")]
		physique += [("despite","malgr")]
		physique += [("detail","dtail")]
		physique += [("detailed","dtaill")]
		physique += [("detailed explanation","explication dtaille")]
		physique += [("details","dtails")]
		physique += [("detected","detect")]
		physique += [("detection","dtection")]
		physique += [("detector","dtecteur")]
		physique += [("detectors","dtecteurs")]
		physique += [("determination","dtermination")]
		physique += [("determined","dtermin")]
		physique += [("determines","dtermine")]
		physique += [("determining","dterminant")]
		physique += [("develop","developpe")]
		physique += [("developed","dvelopp")]
		physique += [("deviation","dviation")]
		physique += [("deviations","dviations")]
		physique += [("device","dispositif")]
		physique += [("diagram","diagramme")]
		physique += [("diametre","diamtre")]
		physique += [("dictionary","dictionnaire")]
		physique += [("dielectron","dilectron")]
		physique += [("differ","diffre")]
		physique += [("difference","diffrence")]
		physique += [("differences","diffrences")]
		physique += [("different","diffrent")]
		physique += [("differential cross section","section efficace diffrentielle")]
		physique += [("differential cross sections","sections efficaces diffrentielles")]
		physique += [("differential","diffrentiel")]
		physique += [("difficult","difficile")]
		physique += [("diffractive","diffractif")]
		physique += [("diffuse photon background","arrire plan de photon diffuss")]
		physique += [("diffuse photon","photons diffuss")]
		physique += [("digital","digital")]
		physique += [("digitisation","numrisation")]
		physique += [("digitised","digitalis")]
		physique += [("digitiser","digitaliser")]
		physique += [("dilatation","dilatation")]
		physique += [("dileptons","dileptons")]
		physique += [("dimensional analysis","analyse dimensionnelle")]
		physique += [("dimensional","dimensions")]
		physique += [("dimensional theory","thorie dimensionnelle")]
		physique += [("dimension","dimension")]
		physique += [("dimensionful","dimensionnelle")]
		physique += [("dimensionless","sans dimension")]
		physique += [("dimensions","dimensions")]
		physique += [("dimuon","dimuon")]
		physique += [("dipole","dipole")]
		physique += [("direct","directe")]
		physique += [("direction","direction")]
		physique += [("directly","directement")]
		physique += [("disastrous","dsastreux")]
		physique += [("disciplined","disciplin")]
		physique += [("discovered","dcouvert")]
		physique += [("discrepancy","divergence")]
		physique += [("discrete","discret")]
		physique += [("discriminator","discriminateur")]
		physique += [("discuss","discute")]
		physique += [("discussed","discut")]
		physique += [("discusses","discute")]
		physique += [("discussion","discussions")]
		physique += [("discussions","discussions")]
		physique += [("disk","disque")]
		physique += [("dispersion","dispersion")]
		physique += [("displacement","dplacement")]
		physique += [("display","affiche")]
		physique += [("displayed","affich")]
		physique += [("distance","distance")]
		physique += [("distances","distances")]
		physique += [("distinct","distincte")]
		physique += [("distortions","distortions")]
		physique += [("distributed","distribut")]
		physique += [("distribution","distribution")]
		physique += [("disturbance","trouble")]
		physique += [("divergence","divergence")]
		physique += [("divergent","divergent")]
		physique += [("divide","divise")]
		physique += [("document","document")]
		physique += [("does","fais")]
		physique += [("does not strongly depend","ne dpend pas fortement")]
		physique += [("dominant","dominant")]
		physique += [("dominated by","domin par")]
		physique += [("dominated","domin")]
		physique += [("dominate","domine")]
		physique += [("dominates","domine")]
		physique += [("dominating","dominant")]
		physique += [("done","fait")]
		physique += [("do not depend","ne dpend pas")]
		physique += [("do not exclude it","ne l'exclus pas")]
		physique += [("doublet","doublet")]
		physique += [("down","bas")]
		physique += [("downstream","en aval")]
		physique += [("down to","en bas de")]
		physique += [("dramatically","dramatiquement")]
		physique += [("dramatic","dramatique")]
		physique += [("drastically","drastiquement")]
		physique += [("draw","dessine")]
		physique += [("drive","conduit")]
		physique += [("drops out","met")]
		physique += [("dual","dual")]
		physique += [("dumped into","copi dans")]
		physique += [("dumping","copiant")]
		physique += [("duplication","duplication")]
		physique += [("duration","dure")]
		physique += [("during","pendant")]
		physique += [("dynamical","dynamique")]
		physique += [("dynamics","dynamique")]
		physique += [("each","chaque")]
		physique += [("each of","chacun de")]
		physique += [("each single KK mode","chaque simple mode KK")]
		physique += [("earlier","plus tt")]
		physique += [("early","plus tt")]
		physique += [("earthquakes","tremblements de terre")]
		physique += [("earthquake","tremblement de terre")]
		physique += [("earth's crust","corce terrestre")]
		physique += [("easier","plus simple")]
		physique += [("easiest","le plus facile")]
		physique += [("easily","facilement")]
		physique += [("easy","facile")]
		physique += [("eaten","mang")]
		physique += [("edited","dit")]
		physique += [("education","ducation")]
		physique += [("effect","effet")]
		physique += [("effective","effectif")]
		physique += [("effectively","effectivement")]
		physique += [("effects","effets")]
		physique += [("eigenstate","tat propre")]
		physique += [("eight","huit")]
		physique += [("either","soit")]
		physique += [("ejected","ject")]
		physique += [("elapsed","coul")]
		physique += [("electrical","lectrique")]
		physique += [("electric","electrique")]
		physique += [("electromagnetic","lectromagntique")]
		physique += [("electron","lectron")]
		physique += [("electronic","lectronique")]
		physique += [("electronics","lectronique")]
		physique += [("electrons","lectrons")]
		physique += [("electrostatic","lectrostatic")]
		physique += [("electroweak","lectrofaible")]
		physique += [("electroweak scale","l'chelle lectrofaible")]
		physique += [("elementary particles","particules lmentaires")]
		physique += [("element","lement")]
		physique += [("elements","lments")]
		physique += [("embedded","incorpor")]
		physique += [("emerge","merge")]
		physique += [("emission","mission")]
		physique += [("emissivities","missivit")]
		physique += [("emitted","mis")]
		physique += [("emitting","mettant")]
		physique += [("employed","employ")]
		physique += [("empty","vide")]
		physique += [("emulsion","mulsion")]
		physique += [("encountered","rencontr")]
		physique += [("encounter","rencontre")]
		physique += [("energetically","nergiquement")]
		physique += [("energetic","nergtique")]
		physique += [("energetics","nergetique")]
		physique += [("energies","nergies")]
		physique += [("energy emission rate","taux d'mission d'nergie")]
		physique += [("energy","nergie")]
		physique += [("energy lost","perte d'nergie")]
		physique += [("enhance","amliore")]
		physique += [("enhanced","amlior")]
		physique += [("enhancement","amlioration")]
		physique += [("enhances","amliore")]
		physique += [("enormity","enormit")]
		physique += [("enormous","enorme")]
		physique += [("enormously","normment")]
		physique += [("enough","assez")]
		physique += [("ensemble","ensemble")]
		physique += [("ensure","assure")]
		physique += [("enters","entre dans")]
		physique += [("entirely","entirement")]
		physique += [("equal","gal")]
		physique += [("equally","galement")]
		physique += [("equal radii","rayons gaux")]
		physique += [("equal to","gal ")]
		physique += [("equating","galisant")]
		physique += [("equilibrium","equilibre")]
		physique += [("equivalence","quivalence")]
		physique += [("equivalent","quivalent")]
		physique += [("equivalently","de manire quivalente")]
		physique += [("ergs","ergs")]
		physique += [("error","erreur")]
		physique += [("escaped","chapp")]
		physique += [("escape","chappe")]
		physique += [("escapes","s'chappe")]
		physique += [("escaping","chappant")]
		physique += [("especially","spcialement")]
		physique += [("essence","essence")]
		physique += [("essentially","essentiellement")]
		physique += [("established","a tabli")]
		physique += [("establish","tablit")]
		physique += [("estimated","estim")]
		physique += [("estimate","estime")]
		physique += [("eurasian","eurasian")]
		physique += [("european","europen")]
		physique += [("evacuated","vacuat")]
		physique += [("evaded","vad")]
		physique += [("evade","vade")]
		physique += [("evaluated","valu")]
		physique += [("evaluating","valuant")]
		physique += [("evaluation","valuation")]
		physique += [("evaporating BH","trou noir s'vaporant")]
		physique += [("evaporating","vaporant")]
		physique += [("evaporation","vaporation")]
		physique += [("evaporative","vaporatif")]
		physique += [("even","mme")]
		physique += [("event","vnement")]
		physique += [("even though","mme si")]
		physique += [("event multiplicity","multiplicit de l'vnement")]
		physique += [("events","vnements")]
		physique += [("eventually","ventuellement")]
		physique += [("every","chaque")]
		physique += [("everywhere","partout")]
		physique += [("evidence","preuve")]
		physique += [("evolution","volution")]
		physique += [("exact","exacte")]
		physique += [("exactly","exactement")]
		physique += [("examine","examine")]
		physique += [("example","exemple")]
		physique += [("examples","exemples")]
		physique += [("exceed","excde")]
		physique += [("exceeding","excd")]
		physique += [("excellent","excellent")]
		physique += [("excess","excs")]
		physique += [("excess","excs de")]
		physique += [("excess transverse energy","excs d'nergie transverse")]
		physique += [("exchange","change")]
		physique += [("excitation","excitation")]
		physique += [("excitations","excitations")]
		physique += [("excited","excit")]
		physique += [("excite","excite")]
		physique += [("exciting","excitant")]
		physique += [("excluded","exclus")]
		physique += [("exclude","exlus")]
		physique += [("excludes","exclus")]
		physique += [("excluding","excluant")]
		physique += [("exclusion","exclusion")]
		physique += [("excursions","excursions")]
		physique += [("exercise","exercice")]
		physique += [("exhibits","expose")]
		physique += [("existence","existence")]
		physique += [("exist","existe")]
		physique += [("exotica","exotica")]
		physique += [("exotic","exotique")]
		physique += [("exotics particles","particules exotiques")]
		physique += [("expanded","tendu")]
		physique += [("expanding","s'tendant")]
		physique += [("expand","s'tend")]
		physique += [("expansion","expansion")]
		physique += [("expectation","attente")]
		physique += [("expected","attendu")]
		physique += [("experimental bounds","limites exprimentales")]
		physique += [("experimental","exprimental")]
		physique += [("experimental limits","limites exprimentales")]
		physique += [("experimentally","exprimentalement")]
		physique += [("experimental results","les rsultats exprimentaux")]
		physique += [("experimental upper limits","limites suprieures exprimentales")]
		physique += [("experimental viability","viabilit exprimentale")]
		physique += [("experiment","exprience")]
		physique += [("experiments","expriences")]
		physique += [("explain","expliquer")]
		physique += [("explanation","explication")]
		physique += [("explicit","explicite")]
		physique += [("explicitly","explicitement")]
		physique += [("explored","explor")]
		physique += [("explore","explore")]
		physique += [("exponential","exponentiel")]
		physique += [("expressed","exprim")]
		physique += [("express","expresse")]
		physique += [("expressions","expressions")]
		physique += [("extend","tendre")]
		physique += [("extending","tendant")]
		physique += [("extension","extension")]
		physique += [("extensions","extensions")]
		physique += [("extensive","extensif")]
		physique += [("external","externe")]
		physique += [("external parameters","paramtres externes")]
		physique += [("extracted","extrait")]
		physique += [("extract","extrait")]
		physique += [("extraction","extraction")]
		physique += [("extra dimensions","dimensions supplmentaires")]
		physique += [("extra","extra")]
		physique += [("extrapolated","extrapol")]
		physique += [("extrapolate","extrapole")]
		physique += [("extrapolating","extrapolant")]
		physique += [("extreme","extrme")]
		physique += [("fact","fait")]
		physique += [("factor","facteur")]
		physique += [("factors","facteurs")]
		physique += [("failing","ratant")]
		physique += [("fail","rate")]
		physique += [("fails to","choue ")]
		physique += [("falling","tombant")]
		physique += [("familon","familon")]
		physique += [("familons","familons")]
		physique += [("fate","destin")]
		physique += [("favored","favori")]
		physique += [("feature","caractristique")]
		physique += [("features","caractristiques")]
		physique += [("federal","fdral")]
		physique += [("federation","fderation")]
		physique += [("feel","sens")]
		physique += [("fellowships","association")]
		physique += [("fermi","fermi")]
		physique += [("fermions","fermions")]
		physique += [("fibres","fibres")]
		physique += [("field","champ")]
		physique += [("fields","champs")]
		physique += [("fifth","en cinquime")]
		physique += [("figure","figure")]
		physique += [("figures","chiffres")]
		physique += [("filled","remplis")]
		physique += [("filtered","filtr")]
		physique += [("filtering","filtrant")]
		physique += [("final","final")]
		physique += [("finally","finalement")]
		physique += [("final non-thermal hard event","dur vnement non thermique final")]
		physique += [("final stage","tape finale")]
		physique += [("final state","tat final")]
		physique += [("final-state","tat final")]
		physique += [("final-state objects","objects de l'tat final")]
		physique += [("finding that","trouvant que")]
		physique += [("finding","trouvant")]
		physique += [("finds","trouve")]
		physique += [("find","trouve")]
		physique += [("fine structure","structure fine")]
		physique += [("finite","finit")]
		physique += [("finite rest mass","masse au repos finit")]
		physique += [("first detection","premire dtection")]
		physique += [("first","en premier")]
		physique += [("first","premier")]
		physique += [("five","cinq")]
		physique += [("five-step structure","structure  cinq pas")]
		physique += [("fixed","fix")]
		physique += [("fixes","fixes")]
		physique += [("fixing","fixant")]
		physique += [("flat","plat")]
		physique += [("flavor","saveur(flavor)")]
		physique += [("flavors","flavors")]
		physique += [("flight","vol")]
		physique += [("flip-side","envers")]
		physique += [("fluctuations","fluctuations")]
		physique += [("flux","flux")]
		physique += [("focalisation","focalisation")]
		physique += [("focused","mis en avant")]
		physique += [("followed","suivi")]
		physique += [("following","suivant")]
		physique += [("follows","suit")]
		physique += [("follow","suit")]
		physique += [("forbidden","interdit")]
		physique += [("forbidding","interdisant")]
		physique += [("force","force")]
		physique += [("forces","forces")]
		physique += [("for determining","pour dterminer")]
		physique += [("for example","par exemple")]
		physique += [("for instance","par exemple")]
		physique += [("formation","formation")]
		physique += [("former","ancien")]
		physique += [("formerly","autrefois")]
		physique += [("form  factor","facteur de forme")]
		physique += [("form","forme")]
		physique += [("forming","formant")]
		physique += [("forms","forme")]
		physique += [("formula","formule")]
		physique += [("formulated","formul")]
		physique += [("for","pour")]
		physique += [("for providing","pour fournir")]
		physique += [("for simulating","pour simuler")]
		physique += [("for solving","pour rsoudre")]
		physique += [("for that mass","pour cette masse")]
		physique += [("foundation","fondation")]
		physique += [("found","trouv")]
		physique += [("four","quatre")]
		physique += [("fourth","en quatrime")]
		physique += [("fractional","fractionel")]
		physique += [("fraction","fraction")]
		physique += [("fractions","fractions")]
		physique += [("fragmentation","fragmentation")]
		physique += [("framework","cadre")]
		physique += [("freedom","libert")]
		physique += [("free","libre")]
		physique += [("freely","librement")]
		physique += [("frequency","frquence")]
		physique += [("from"," partir de")]
		physique += [("frozen","gel")]
		physique += [("full","remplis")]
		physique += [("fully decaying","se dsintgrant entirement")]
		physique += [("fully","entirement")]
		physique += [("function","fonction")]
		physique += [("functions","fonctions")]
		physique += [("fundamental coupling","couplage fondamental")]
		physique += [("fundamental","fondamental")]
		physique += [("fundamental Planck mass","masse de Planck fondamentale")]
		physique += [("fundamental planck scale","chelle de Planck fondamentale")]
		physique += [("further","davantage")]
		physique += [("furthermore","de plus")]
		physique += [("fusion","fusion")]
		physique += [("future","future")]
		physique += [("gain","gagne")]
		physique += [("gap","cart")]
		physique += [("gauge fields","champ de jauge")]
		physique += [("gauge hierarchy","hirarchie de jauge")]
		physique += [("gauge","jauge")]
		physique += [("gauging","jaugeant")]
		physique += [("gauss","gauss")]
		physique += [("Gaussian","gaussien")]
		physique += [("Gauss' law","loi de Gauss")]
		physique += [("general","gnral")]
		physique += [("generalized","gnralis")]
		physique += [("generalized uncertainty principle","principe d'incertitude gnralis")]
		physique += [("generalizing","gnralisant")]
		physique += [("generally","gnralement")]
		physique += [("generated","gnr")]
		physique += [("generate","gnre")]
		physique += [("generates","gnre")]
		physique += [("generating","gnrant")]
		physique += [("generation","gnration")]
		physique += [("generations","gnrations")]
		physique += [("generator","gnrateur")]
		physique += [("generators","gnrateurs")]
		physique += [("generically","gnriquement")]
		physique += [("generic","gnrique")]
		physique += [("genuine","sincre")]
		physique += [("geodesic","godsique")]
		physique += [("geodesy","godsie")]
		physique += [("geodynamical","godynamique")]
		physique += [("get","obtenir")]
		physique += [("gets","prend")]
		physique += [("give","donne")]
		physique += [("given","donn")]
		physique += [("gives","donne")]
		physique += [("giving","donnant")]
		physique += [("global","global")]
		physique += [("gluon","gluon")]
		physique += [("goal","but")]
		physique += [("goes","va")]
		physique += [("going","allant")]
		physique += [("goldstone","goldstone")]
		physique += [("goldstones","goldstones")]
		physique += [("GPS satellites","satellites GPS")]
		physique += [("grant","subventionn")]
		physique += [("granularity","granularit")]
		physique += [("graphite","graphite")]
		physique += [("graphs","graphique")]
		physique += [("gratefully","avec reconnaissance")]
		physique += [("gravi","grave")]
		physique += [("gravitating","gravitant")]
		physique += [("gravitational and gauge interactions","les interactions gravitationnelles et de jauge")]
		physique += [("gravitational binding energy","nergie de liaison gravitationnelle")]
		physique += [("gravitational effects","effets gravitationnels")]
		physique += [("gravitational","gravitationnel")]
		physique += [("gravitational loss","perte gravitationnelle")]
		physique += [("gravitational phenomena","les phnomnes gravitationnels")]
		physique += [("gravitational radiation","radiation gravitationnelle")]
		physique += [("gravitation","gravitation")]
		physique += [("graviton emission","mission de gravitons")]
		physique += [("graviton","graviton")]
		physique += [("graviton production processes","processus de production de graviton")]
		physique += [("gravitons","gravitons")]
		physique += [("gravity","gravit")]
		physique += [("greater","plus grand")]
		physique += [("greater than","plus grand que")]
		physique += [("grossly","largement")]
		physique += [("ground","sol")]
		physique += [("grouped","group")]
		physique += [("group","groupe")]
		physique += [("grouping","groupant")]
		physique += [("grow","grandit")]
		physique += [("grows","pousse")]
		physique += [("guaranteed","garantit")]
		physique += [("hadron colliders","collisionneur d'hadrons")]
		physique += [("hadronic","hadronique")]
		physique += [("hadronic scattering processes.","processus de diffusion hadronic")]
		physique += [("hadronized","hadronis")]
		physique += [("hadrons","hadrons")]
		physique += [("hand","main")]
		physique += [("happen","arrive")]
		physique += [("hard","dure")]
		physique += [("hardware","matriel")]
		physique += [("has been","a t")]
		physique += [("has been brought down","a t abattu")]
		physique += [("have been developed","a t dvelopp")]
		physique += [("have been","ont t")]
		physique += [("have been ruled out","ont t exclus")]
		physique += [("have not confirmed","n'ont pas confirm")]
		physique += [("have","ont")]
		physique += [("having","ayant")]
		physique += [("having escaped","s'tant chapp")]
		physique += [("hawking mechanism","mcanisme de hawking")]
		physique += [("heavier","plus lourd")]
		physique += [("heaviest","le plus lourd")]
		physique += [("heavy","lourd")]
		physique += [("held","tenu")]
		physique += [("helium","hlium")]
		physique += [("comments","commentaires")]
		physique += [("helpful comments","commentaires utiles")]
		physique += [("helpful","utile")]
		physique += [("help stabilize","aider  stabiliser")]
		physique += [("hence","d'o")]
		physique += [("here","ici")]
		physique += [("hide","cache")]
		physique += [("hierarchy","hierarchie")]
		physique += [("hierarchy problem","problme hirarchique")]
		physique += [("higgs","higgs")]
		physique += [("higher dimensional gravitons","gravitons de plus hautes dimensions")]
		physique += [("higher dimensional gravity","gravit de plus haute dimension")]
		physique += [("higher dimensional space","espace de plus haute dimension")]
		physique += [("higher dimensional theories. ","thories de plus grandes dimensions")]
		physique += [("higher","plus haut")]
		physique += [("higher","plus haute")]
		physique += [("high","haut")]
		physique += [("highly","hautement")]
		physique += [("highway","autoroute")]
		physique += [("history","histoire")]
		physique += [("hoop conjecture","conjecture de hoop")]
		physique += [("hope","espoir")]
		physique += [("horizon","horizon")]
		physique += [("horizontal","horizontal")]
		physique += [("hospitality","hospitalit")]
		physique += [("hosting","hbergement")]
		physique += [("hottest","le plus chaud")]
		physique += [("hottest systems","systmes les plus chauds")]
		physique += [("however","cependant")]
		physique += [("hubble","hubble")]
		physique += [("huge gap","norme cart")]
		physique += [("huge","lourd")]
		physique += [("hydrogen","hydrogne")]
		physique += [("hypothese","hypothse")]
		physique += [("hypotheses","hypothses")]
		physique += [("hypothesis","hypothses")]
		physique += [("ictp","ictp")]
		physique += [("idea","ide")]
		physique += [("idea","id")]
		physique += [("ideas","ides")]
		physique += [("identical","identique")]
		physique += [("identification","identification")]
		physique += [("identified","identifi")]
		physique += [("identify","identifie")]
		physique += [("identifying","identifiant")]
		physique += [("i\.e\.","c'est--dire")]
		physique += [("if","si")]
		physique += [("ignorance","ignorance")]
		physique += [("ignored","ignor")]
		physique += [("ignore","ignore")]
		physique += [("ignoring","ignorant")]
		physique += [("illustrated","illustrat")]
		physique += [("illustrate","illustre que")]
		physique += [("illustrates","illustre")]
		physique += [("illustrating","illustrant")]
		physique += [("imagine","imagine")]
		physique += [("imbalance","dsquilibre")]
		physique += [("immediate","immdiat")]
		physique += [("immediately","immediatement")]
		physique += [("impact","impacte")]
		physique += [("impact parameter","paramtre d'impact")]
		physique += [("impinge","empite")]
		physique += [("implausible","peu plausible")]
		physique += [("implementation","implmentation")]
		physique += [("implemented","implment")]
		physique += [("implications","implications")]
		physique += [("implicitly","implicitement")]
		physique += [("implies","implique")]
		physique += [("implying","impliquant")]
		physique += [("important","important")]
		physique += [("importantly","de manire importante")]
		physique += [("imposed","impos")]
		physique += [("imposing","imposant")]
		physique += [("impossible","impossible")]
		physique += [("impression","impression")]
		physique += [("improved","a amlior")]
		physique += [("improving","amliorant")]
		physique += [("inaccuracy","inexactitude")]
		physique += [("in addition","en plus")]
		physique += [("in addition to","en plus de")]
		physique += [("included","inclu")]
		physique += [("include","inclure")]
		physique += [("includes","inclu")]
		physique += [("including","incluant")]
		physique += [("inclusive","inclusif")]
		physique += [("inclusively","inclusivement")]
		physique += [("incorporate","incorpore")]
		physique += [("incorporates","incorpore")]
		physique += [("increase","augmente")]
		physique += [("increases","augmente")]
		physique += [("increasing","augmentant")]
		physique += [("increasingly","augmentant")]
		physique += [("incrementing","incrmentant")]
		physique += [("increments","incrments")]
		physique += [("in","dans")]
		physique += [("indebted","redevable")]
		physique += [("indeed","en effet")]
		physique += [("independent","indpendant")]
		physique += [("independently","idnpendamment")]
		physique += [("index","index")]
		physique += [("indicated","indiqu")]
		physique += [("indicate","indique")]
		physique += [("indicates","indique")]
		physique += [("indicating","indiquant")]
		physique += [("indication","indication")]
		physique += [("indirect","indirecte")]
		physique += [("individual","individuel")]
		physique += [("individually","individuellement")]
		physique += [("induced","induit")]
		physique += [("induce","induit")]
		physique += [("induces","induit")]
		physique += [("inefficiencies","inefficacit")]
		physique += [("inelasticity","inlasticit")]
		physique += [("inequality","ingalit")]
		physique += [("inevitability","invitablement")]
		physique += [("inferred","dduit")]
		physique += [("infinite","infinit")]
		physique += [("infinitely","infiniment")]
		physique += [("infinitesimaly","infinitsimalement")]
		physique += [("infinitesinal","infinitsimal")]
		physique += [("inflation","inflation")]
		physique += [("inflaton","inflaton")]
		physique += [("influence","influence")]
		physique += [("information","information")]
		physique += [("infrared","infrarouge")]
		physique += [("infrastructure","infrastructure")]
		physique += [("in general","en gnral")]
		physique += [("ingredient","ingrdient")]
		physique += [("inherited","hrit")]
		physique += [("in high-energy particle collisions","dans des collisions  hautes nergies")]
		physique += [("initial BH mass","masse initiale du trou noir")]
		physique += [("initial","initial")]
		physique += [("injected","inject")]
		physique += [("injecting","injectant")]
		physique += [("injection","injection")]
		physique += [("in nature","dans la nature")]
		physique += [("in order to","afin de")]
		physique += [("in physics","en physique")]
		physique += [("inserting","insrant")]
		physique += [("insert","insert")]
		physique += [("inside"," l'intrieur de")]
		physique += [("in spite of","en dpit de")]
		physique += [("instability","instabilit")]
		physique += [("installation","installation")]
		physique += [("installed","install")]
		physique += [("instantaneous","instantan")]
		physique += [("instantaneously","instantanment")]
		physique += [("instead","au lieu de")]
		physique += [("instead,","au lieu de cela")]
		physique += [("institute","institut")]
		physique += [("institut","institut")]
		physique += [("in strength","en force")]
		physique += [("instrumental","instrumentale")]
		physique += [("instrumented","appareill")]
		physique += [("insufficient","insuffisante")]
		physique += [("insure","assure")]
		physique += [("insuring","assurant")]
		physique += [("integer","entier")]
		physique += [("integral","intgral")]
		physique += [("integrated","intgr")]
		physique += [("integrating","integrant")]
		physique += [("integration","intgration")]
		physique += [("intensity","intensit")]
		physique += [("interacting","interagissant")]
		physique += [("interact","intragit")]
		physique += [("interaction","interaction")]
		physique += [("interaction level","niveau d'intraction")]
		physique += [("interactions","interactions")]
		physique += [("interacts","intragit")]
		physique += [("interested","intresss")]
		physique += [("interesting","intressant")]
		physique += [("interesting progress","progrs intressant")]
		physique += [("interest","intrt")]
		physique += [("interface","interface")]
		physique += [("interfaces","interfaces")]
		physique += [("interfaces","s'adapte")]
		physique += [("inter","inter")]
		physique += [("interleaved","entrelac")]
		physique += [("intermediate","intermediaire")]
		physique += [("internal","interne")]
		physique += [("internally","itnrieurement")]
		physique += [("international","international")]
		physique += [("international time","temps international")]
		physique += [("interpretation","interprtation")]
		physique += [("interpreted","interprt")]
		physique += [("interuniversitaire","interuniversitaire")]
		physique += [("interval","interval")]
		physique += [("in this case","dans ce cas")]
		physique += [("in this letter","dans cette lettre")]
		physique += [("into account","en compte")]
		physique += [("into","dans")]
		physique += [("introduce","introduit")]
		physique += [("introduces","introduit")]
		physique += [("introducing","introduisant")]
		physique += [("introduction","introduction")]
		physique += [("intuition","intuition")]
		physique += [("intuitively","intuitivement")]
		physique += [("invariance","invariance")]
		physique += [("invariant","invariant")]
		physique += [("inverse","inverse")]
		physique += [("inversely","inversement")]
		physique += [("investigated","investigu")]
		physique += [("investigation","investigation")]
		physique += [("investigations","investigations")]
		physique += [("invoking","invoquant")]
		physique += [("involve","implique")]
		physique += [("involving","impliquant")]
		physique += [("iron","fer")]
		physique += [("irrelevant","hors de propos")]
		physique += [("is able to","peut")]
		physique += [("is created","est cr")]
		physique += [("is decayed","est dsintgr")]
		physique += [("is","est")]
		physique += [("is excluded at","est exclue ")]
		physique += [("is excluded","est exclue")]
		physique += [("isolated","isol")]
		physique += [("is one of","est un des")]
		physique += [("isotope","isotope")]
		physique += [("is provided by","est fourni par")]
		physique += [("is realized","est ralis")]
		physique += [("issue","problme")]
		physique += [("issues","problmes")]
		physique += [("is suited to","se prte bien ")]
		physique += [("is then decayed","est alors dsintgr")]
		physique += [("it is clear","il est clair")]
		physique += [("its maximum value","sa valeur maximum")]
		physique += [("its","son")]
		physique += [("JCAP","JCAP")]
		physique += [("jet","jet")]
		physique += [("jets","jets")]
		physique += [("just","juste")]
		physique += [("Kaluza-Klein mode production","mode de production de Kaluza-Klein")]
		physique += [("kaon","kaon")]
		physique += [("keeping","gardant")]
		physique += [("kerr geometry","gomtrie de Kerr")]
		physique += [("key","cl")]
		physique += [("key feature","caractristique cl")]
		physique += [("kinematics","cinmatiques")]
		physique += [("kinetic","cintique")]
		physique += [("kinetic energy","nergie cintique")]
		physique += [("kineticenergy","nergiecintique")]
		physique += [("KK excitations","excitations KK")]
		physique += [("KK gravitons","gravitons KK")]
		physique += [("KK mode","mode KK")]
		physique += [("knowing","sachant")]
		physique += [("knowledge","connaissance")]
		physique += [("known","su")]
		physique += [("know","sait")]
		physique += [("knows","sait")]
		physique += [("labeled","marqu")]
		physique += [("laboratories","laboratoires")]
		physique += [("laboratory","laboratoire")]
		physique += [("lack","manque")]
		physique += [("lagrangian","lagrangien")]
		physique +=[('large extra dimensions','grandes dimensions supplmentaires')]
		physique += [("large hadron collider","LHC")]
		physique += [("largeness","largesse")]
		physique += [("larger","plus grand")]
		physique += [("larger than","plus grande que")]
		physique += [("largest","le plus grand")]
		physique += [("last","dernier")]
		physique += [("lasting","durable")]
		physique += [("latency","latence")]
		physique += [("late","retard")]
		physique += [("later","plus tard")]
		physique += [("latter","dernier")]
		physique += [("layout","disposition")]
		physique += [("leading","menant")]
		physique += [("leading to","menant ")]
		physique += [("lead","mne")]
		physique += [("leads","mne ")]
		physique += [("leaking","rpandant")]
		physique += [("le a","l'a")]
		physique += [("least","moins")]
		physique += [("leave","quitte")]
		physique += [("leaving","quittant")]
		physique += [("lectures","lectures")]
		physique += [("left part","partie gauche")]
		physique += [("legendre","legendre")]
		physique += [("legs","jambes")]
		physique += [("length","longueur")]
		physique += [("lep","lep")]
		physique += [("lepton","lepton")]
		physique += [("leptons","leptons")]
		physique += [("Les Houches interface","interface Les Houches")]
		physique += [("less","moins")]
		physique += [("less stringent, albeit more accurate limits","limites moins strictes, bien que plus prcises")]
		physique += [("less than","plus petite que")]
		physique += [("level","niveau")]
		physique += [("lhc","LHC")]
		physique += [("liberated","libr")]
		physique += [("lifetimes","temps de vie")]
		physique += [("lifetime","temps de vie")]
		physique += [("lighter","plus lumineux")]
		physique += [("lightest","le plus lumineux")]
		physique += [("light","lumire")]
		physique += [("like","comme")]
		physique += [("likelihood","probabilit")]
		physique += [("limited","limit")]
		physique += [("limit","limite")]
		physique += [("limits","limites")]
		physique += [("linearity","linearit")]
		physique += [("linear","linaire")]
		physique += [("linearly","linairement")]
		physique += [("line","ligne")]
		physique += [("linked","li")]
		physique += [("list","liste")]
		physique += [("literally","literallement")]
		physique += [("lives","vit")]
		physique += [("live","vit")]
		physique += [("living","vivant")]
		physique += [("lkjkljkllkjkljkl","mlkmlklmkml")]
		physique += [("localisation","localisation")]
		physique += [("localised","localis")]
		physique += [("localising","localisant")]
		physique += [("localization","localization")]
		physique += [("localized","localis")]
		physique += [("localizing","localisant")]
		physique += [("local","local")]
		
		physique += [("located","situ")]
		physique += [("location","position")]
		physique += [("logarithmic","logarithmique")]
		physique += [("logarithm","logarithme")]
		physique += [("logaritmically","logarithmiquement")]
		physique += [("logging","connectant")]
		physique += [("longer","plus long")]
		physique += [("longitudinal","longitudinal")]
		physique += [("long","longue")]
		physique += [("look","regarde")]
		physique += [("looks at","regarde")]
		physique += [("looks","regarde")]
		physique += [("loop","boucle")]
		physique += [("loops","voucles")]
		physique += [("Lorentz factor","facteur de Lorentz")]
		physique += [("Lorentz invariance","invariance de Lorentz")]
		physique += [("Lorentz invariance violation","violation de l'invariance de Lorentz")]
		physique += [("lorentz","lorentz")]
		physique += [("lose","perd")]
		physique += [("losing","perdant")]
		physique += [("loss","perte")]
		physique += [("lost","perdu")]
		physique += [("low-energy","faible nergie")]
		physique += [("low-energy supersymmetry","supersymtrie  faible nergie")]
		physique += [("lower bounds","limites infrieures")]
		physique += [("lower limit","limite infrieure")]
		physique += [("lower limits","limites infrieures")]
		physique += [("lower two graphs","deux graphiques du dessous")]
		physique += [("lowest","le plus bas")]
		physique += [("luminosity","luminosit")]
		physique += [("machine","machine")]
		physique += [("macroscopic","macroscopique")]
		physique += [("made","fait")]
		physique += [("magnet","aimant")]
		physique += [("magnetic","magntique")]
		physique += [("magnitude","magnitude")]
		physique += [("mainly","principalement")]
		physique += [("main","principal")]
		physique += [("main reasons","principales raisons")]
		physique += [("majority","majorit")]
		physique += [("make","fait")]
		physique += [("makes","fait")]
		physique += [("making","faisant")]
		physique += [("manifestation","manifestation")]
		physique += [("manifest","manifeste")]
		physique += [("manifold","varit")]
		physique += [("many","plusieurs")]
		physique += [("marginally","marginalement")]
		physique += [("masses","masses")]
		physique += [("massive","massif")]
		physique += [("mass","la masse")]
		physique += [("massless higher dimensional gravitons","gravitons sans masse de plus hautes dimensions")]
		physique += [("massless","sans masse")]
		physique += [("matter","matire")]
		physique += [("maximised","maximis")]
		physique += [("maximum","maximum")]
		physique += [("may be","peut tre")]
		physique += [("may be produced","peut tre produite")]
		physique += [("may form","peut se former")]
		physique += [("means","signifie")]
		physique += [("measured","mesur")]
		physique += [("measurement","mesure")]
		physique += [("measurements","mesures")]
		physique += [("measure","mesure")]
		physique += [("measuring","measurant")]
		physique += [("mechanism","mcanisme")]
		physique += [("mechanisms","mcanismes")]
		physique += [("mediated","mediated")]
		physique += [("mediate","servir d'intermdiaire")]
		physique += [("mentioned","mentionn")]
		physique += [("meson decay length","longueur de dsintgration des mson")]
		physique += [("mesons","msons")]
		physique += [("method","mthode")]
		physique += [("methods","mthodes")]
		physique += [("metric","mtrique")]
		physique += [("metrology laboratories","laboratoires de mtrologie")]
		physique += [("metrology","mtrologie")]
		physique += [("micron","micron")]
		physique += [("microns","microns")]
		physique += [("microscopic black hole formation","la formation de trous noirs microscopiques")]
		physique += [("microscopic black holes","des trous noirs microscopiques")]
		physique += [("microscopic","microscopique")]
		physique += [("might","pourrait")]
		physique += [("migrate","migre")]
		physique += [("millimeter","millimtre")]
		physique += [("millimetre","millimtre")]
		physique += [("million","million")]
		physique += [("millisecond","milliseconde")]
		physique += [("minimal BH mass","masse minimale du trou noir")]
		physique += [("minimal","minimale")]
		physique += [("minima","minima")]
		physique += [("minimise","minimise")]
		physique += [("minimized","minimis")]
		physique += [("minimize","minimise")]
		physique += [("minimizes","minimise")]
		physique += [("minimum allowed black hole mass","masse minimum permise pour un trou noir")]
		physique += [("minimum-allowed mass","masse permise minimum")]
		physique += [("minimum mass","masse minimum")]
		physique += [("minimum","minimum")]
		physique += [("minimum quantum BH mass","masse minimale du trou noir quantique")]
		physique += [("miniscule","miniscule")]
		physique += [("MINOS experiment","exprience MINOS")]
		physique += [("mirror","miroir")]
		physique += [("missing","manquant")]
		physique += [("missing transverse energy","nergie transverse manquante")]
		physique += [("model assumptions","hypothses du modle")]
		physique += [("model-independent experimental limits on BH production","les limites exprimentales,indpendantes du modle,")]
		physique += [("model-independent","indpendant du modle")]
		physique += [("modelling","modlisant")]
		physique += [("model","modle")]
		physique += [("models","modles")]
		physique += [("mode","mode")]
		physique += [("modes","modes")]
		physique += [("modified","modifi")]
		physique += [("modifying","en modifiant")]
		physique += [("modify","modifie")]
		physique += [("modules","modules")]
		physique += [("moduli","moduli")]
		physique += [("modulus","modulus")]
		physique += [("momenta","quantit de mouvement")]
		physique += [("moment","moment")]
		physique += [("momentum","quantit de mouvement")]
		physique += [("monojet","monojet")]
		physique += [("monophoton","monophoton")]
		physique += [("monotonically","de manire monotone")]
		physique += [("monte carlo generator","gnrateur de monte carlo")]
		physique += [("monte carlo generators","gnrateurs de monte carlo")]
		physique += [("more detailed analysis","analyse plus dtaille")]
		physique += [("more","plus de")]
		physique += [("most","la plupart")]
		physique += [("mostly","pour la plupart")]
		physique += [("motivated","motiv")]
		physique += [("motivate","motive")]
		physique += [("motivations","motivations")]
		physique += [("move","bouge")]
		physique += [("movement","mouvement")]
		physique += [("moves","bouge")]
		physique += [("moving","bougeant")]
		physique += [("much","beaucoup")]
		physique += [("much lower","beaucoup plus bas")]
		physique += [("multiple","multiple")]
		physique += [("multiplicities","multiplicits")]
		physique += [("multiplicity","multiplicit")]
		physique += [("multiplied","multipli")]
		physique += [("multiplying","en multipliant")]
		physique += [("multipole","multipole")]
		physique += [("mundane","banal")]
		physique += [("muon","muon")]
		physique += [("must","doit")]
		physique += [("naively","navement")]
		physique += [("naive","naf")]
		physique += [("namely"," savoir")]
		physique += [("nanoseconds","nanosecondes")]
		physique += [("national","national")]
		physique += [("natural dark matter candidate","candidat naturel pour la matire noire")]
		physique += [("naturally","naturellement")]
		physique += [("natural","naturel")]
		physique += [("nature","nature")]
		physique += [("near"," cot de")]
		physique += [("nearly","presque")]
		physique += [("necessary","ncessairement")]
		physique += [("need","a besoin de")]
		physique += [("needed","ncessaire")]
		physique += [("needs","besoin")]
		physique += [("negative","ngatif")]
		physique += [("negligible curvature","courbure ngligeable")]
		physique += [("negligible","ngligeable")]
		physique += [("neutral","neutre")]
		physique += [("neutrino beam","faisceau de neutrinos")]
		physique += [("neutrino detector","dtecteur de neutrinos")]
		physique += [("neutrino energies","nergies du neutrino")]
		physique += [("neutrino","neutrino")]
		physique += [("neutrino oscillations","oscillations de neutrino")]
		physique += [("neutrinos","neutrinos")]
		physique += [("neutrino time of flight measurement","mesure du temps de vol du neutrino")]
		physique += [("neutrino time of flight","temps de vol du neutrino")]
		physique += [("neutrino velocity","vitesse du neutrino")]
		physique += [("neutron","neutron")]
		physique += [("neutron sattars","toiles  neutron")]
		physique += [("neutron star-derived limits","les limites drives des toiles  neutron")]
		physique += [("never","jamais")]
		physique += [("nevertheless","nanmoins")]
		physique += [("newly-formed BH","trou noir nouvellement form")]
		physique += [("newly-formed","nouvellement form")]
		physique += [("new","nouveau")]
		physique += [("newtonian gravitation","gravitation newtonienne")]
		physique += [("newtonian","newtonien")]
		physique += [("newton","newton")]
		physique += [("newtons","newtons")]
		physique += [("nextradim","nextradim")]
		physique += [("next","suivant")]
		physique += [("nine","neuf")]
		physique += [("none of","aucune des")]
		physique += [("non-relativistic limit","limite non relativiste")]
		physique += [("non-relativistic particles","particules non relativistes")]
		physique += [("nonrotating","pas en rotation")]
		physique += [("non-thermally","non thermique")]
		physique += [("non-thermal","non thermique")]
		physique += [("normalisation","normalisation")]
		physique += [("normalised","normalis")]
		physique += [("normalization","mormalisation")]
		physique += [("normalized","normalis")]
		physique += [("normal","normal")]
		physique += [("note","note")]
		physique += [("nothing","rien")]
		physique += [("notice","note")]
		#physique += [("not","tttttttttt")]
		physique += [("nous attendons","implmentation")]
		physique += [("novel","nouvel")]
		physique += [("now","maintenant")]
		physique += [("nucleaires","nuclaires")]
		physique += [("nuclei","noyaux")]
		physique += [("nucleon","nuclon")]
		physique += [("nucleons","nuclons")]
		physique += [("nucleosynthesis","nuclosynthse")]
		physique += [("nucleus","noyau")]
		physique += [("nullified","invalid")]
		physique += [("null","nulle")]
		physique += [("null results","absence de rsultats")]
		physique += [("number","nombre")]
		physique += [("numbers","nombres")]
		physique += [("numerical cross section limits","limites numriques de la section efficace")]
		physique += [("numerically","numricallement")]
		physique += [("numerical","numrique")]
		physique += [("objective","objectif")]
		physique += [("objects","objets")]
		physique += [("observables","observables")]
		physique += [("observational","d'observation")]
		physique += [("observation","observation")]
		physique += [("observations","observations")]
		physique += [("observed black hole events","vnements observ de type trou noir")]
		physique += [("observed events","vnements observs")]
		physique += [("observed","observe")]
		physique += [("observed Planck mass","masse de Planck observe")]
		physique += [("observed Planck scale","chelle de Planck observe")]
		physique += [("observed weakness","faiblesse observe")]
		physique += [("observe","observe")]
		physique += [("observer","observateur")]
		physique += [("obstacle","obstacle")]
		physique += [("obtained","obtenu")]
		physique += [("obtaining","obtenant")]
		physique += [("obtain","obtient")]
		physique += [("obtains","obtient")]
		physique += [("obvious","vident")]
		physique += [("obviously","videmment")]
		physique += [("occasionally","occasionellement")]
		physique += [("occupies","occupe")]
		physique += [("occuring","arrivant")]
		physique += [("occurrence","occurrence")]
		physique += [("occurring","se passant")]
		physique += [("occurs","de produit")]
		physique += [("occur","se produit")]
		physique += [("of black hole events","d'vnement du type trou noir")]
		physique += [("of course","bien sur")]
		physique += [("of","de")]
		physique += [("offer","offre")]
		physique += [("offers","offre")]
		physique += [("official","officiel")]
		physique += [("offline","hors ligne")]
		physique += [("of large, compactified spatial dimensions","de grandes dimensions spatiales compactes")]
		physique += [("of stating","d'exposer")]
		physique += [("of the most","des plus")]
		physique += [("of the most successful hypotheses","des hypothses les plus russies")]
		physique += [("once","une fois")]
		physique += [("one","un")]
		physique += [("only","seulement")]
		physique += [("on performing","sur l'excution")]
		physique += [("on","sur")]
		physique += [("opening","ouvrant")]
		physique += [("open","ouvre")]
		physique += [("opera","opra")]
		physique += [("operating","oprant")]
		physique += [("operation","operation")]
		physique += [("operator","oprateur")]
		physique += [("operators","oprateur")]
		physique += [("opposite","oppos")]
		physique += [("optical","optique")]
		physique += [("optimised","optimis")]
		physique += [("optoelectronic","optolectronique")]
		physique += [("order","ordre")]
		physique += [("orders","ordres")]
		physique += [("ordinarily","ordinairement")]
		physique += [("ordinary","ordinairement")]
		physique += [("organized","organis")]
		physique += [("originally","originellement")]
		physique += [("original","originale")]
		physique += [("originated from","provenant de")]
		physique += [("origin","origine")]
		physique += [("or","ou")]
		physique += [("oscillation","oscillation")]
		physique += [("oscillations","oscillations")]
		physique += [("oscillator","oscillateur")]
		physique += [("oscilloscope","oscilloscope")]
		physique += [("other","autre")]
		physique += [("analysis","analyse")]
		physique += [("our","notre")]
		physique += [("outdoor","extrieur")]
		physique += [("outlined","expos")]
		physique += [("output","sortie")]
		physique += [("outside"," l'extrieur")]
		physique += [("outstanding problem","problme en suspend")]
		physique += [("overall","total")]
		physique += [("overestimated","surestim")]
		physique += [("overlooked","nglig")]
		physique += [("overwhelmed","dbord")]
		physique += [("pair","paire")]
		physique += [("pairs","paires")]
		physique += [("panel","panneau")]
		physique += [("paper","papier")]
		physique += [("parabolic","parabolique")]
		physique += [("parallel","parallle")]
		physique += [("parameter","paramtre")]
		physique += [("parameter space","espace de paramtre")]
		physique += [("parameters","paramtres")]
		physique += [("parametrize","paramtrise")]
		physique += [("parametrizing","parametrisant")]
		physique += [("parent meson","mson parent")]
		physique += [("parity","parit")]
		physique += [("partial cross section","section efficace partielle")]
		physique += [("partially","partiellement")]
		physique += [("particle collisions","collisions de particles")]
		physique += [("particle","particule")]
		physique += [("particle scattering","diffusion de particule")]
		physique += [("particles","particules")]
		physique += [("particular case","cas particulier")]
		physique += [("particular implementation","implmentation particulire")]
		physique += [("particularly","particulairement")]
		physique += [("particular","particulire")]
		physique += [("parton","parton")]
		physique += [("part","partie")]
		physique += [("passing","passant")]
		physique += [("past","pass")]
		physique += [("peaking","de crte")]
		physique += [("perform","effectuer")]
		#physique += [("performing","tttttttttt")]
		physique += [("perhaps","peut tre")]
		physique += [("periodically","periodiquement")]
		physique += [("periodic","priodique")]
		physique += [("period","priode")]
		physique += [("periods","priodes")]
		physique += [("permanent","permanent")]
		physique += [("per","par")]
		physique += [("perturbation","perturbation")]
		physique += [("perturbations","perturbations")]
		physique += [("perturbative description","description perturbative")]
		physique += [("perturbative","perturbatif")]
		physique += [("perturbative processes","processus perturbatifs")]
		physique += [("perturbed","perturb")]
		physique += [("phase","phase")]
		physique += [("phases","phases")]
		physique += [("phenomena","phnomne")]
		physique += [("phenomenologically","phnomnologiquement")]
		physique += [("phenomenological","phnomenologique")]
		physique += [("phenomenology","phnomnologie")]
		physique += [("phenomenon","phnomne")]
		physique += [("photocathode","photocathode")]
		physique += [("photomultiplier","photomultiplicateur")]
		physique += [("photomultipliers","photomultiplicateurs")]
		physique += [("photon","photon")]
		physique += [("photons","photons")]
		physique += [("physical effects","effets physiques")]
		physique += [("physical graviton polarizations","polarisation de graviton physique")]
		physique += [("physical gravitons","gravitons physiques")]
		physique += [("physical parameters","paramtres physiques")]
		physique += [("physical photons","photons physiques")]
		physique += [("physical","physique")]
		physique += [("physical processes","processus physiques")]
		physique += [("physics","physique")]
		physique += [("physique","physique")]
		physique += [("picosecond","picoseconde")]
		physique += [("picture","image")]
		physique += [("piece","part")]
		physique += [("pion","pion")]
		physique += [("placed","plac")]
		physique += [("place","place")]
		physique += [("places","places")]
		physique += [("Planck mass","masse de Planck")]
		physique += [("planck phase","phase de planck")]
		physique += [("planck","planck")]
		physique += [("Planck scale","chelle de Planck")]
		physique += [("Planck scales","chelles de Planck")]
		physique += [("planck units","units de Planck")]
		physique += [("planned","planifi")]
		physique += [("plastic","plastique")]
		physique += [("plays","joue")]
		physique += [("plus","plus")]
		physique += [("poincare","poincare")]
		physique += [("pointed","pointu")]
		physique += [("point","point")]
		physique += [("point to","indiquer")]
		physique += [("polarizations","polarisation")]
		physique += [("poles","poles")]
		physique += [("portable","portable")]
		physique += [("position","position")]
		physique += [("positive","positif")]
		physique += [("possess","possde")]
		physique += [("possibilities","possiblits")]
		physique += [("possibility","possiblement")]
		physique += [("possible","possible")]
		physique += [("possibly","possiblement")]
		physique += [("potential","potentiel")]
		physique += [("potentials","potentiels")]
		physique += [("power","puissance")]
		physique += [("powers","puissances")]
		physique += [("pp","pp")]
		physique += [("practical difference","diffrence pratique")]
		physique += [("practically","pratiquement")]
		physique += [("practical","pratique")]
		physique += [("preceded","precd")]
		physique += [("precisely","prcisment")]
		physique += [("precise","prcis")]
		physique += [("precision","prcision")]
		physique += [("predicted lower limits","limites infrieures prdites")]
		physique += [("predicted","prdites")]
		physique += [("predicting","prdisant")]
		physique += [("prediction","prdiction")]
		physique += [("predictions","prdictions")]
		physique += [("predicts","prdit")]
		physique += [("predominantly","principalement")]
		physique += [("prefer","prfre")]
		physique += [("preferred","prfrr")]
		physique += [("prejudice","prjudice")]
		physique += [("prejudices","prjudices")]
		physique += [("preselected","prslectionn")]
		physique += [("presence","prsence")]
		physique += [("presented","prsent")]
		physique += [("presently","actuellement")]
		physique += [("present","prsent")]
		physique += [("presents","prsente")]
		physique += [("pressing issue","problme pressant")]
		physique += [("pressing","pressant")]
		physique += [("previously","auparavant")]
		physique += [("previous","prcdent")]
		physique += [("price","prix")]
		physique += [("primarily","primairement")]
		physique += [("primary","premier")]
		physique += [("primordially","primordialement")]
		physique += [("principle","principe")]
		physique += [("private","priv")]
		physique += [("probability","probabilit")]
		physique += [("probed","prouv")]
		physique += [("probe","prouver")]
		physique += [("problem","problme")]
		physique += [("problems","problmes")]
		physique += [("procedure","procdure")]
		physique += [("procedures","procdures")]
		physique += [("proceed","procder")]
		physique += [("processed","calcul")]
		physique += [("processes","processus")]
		physique += [("process","processus")]
		physique += [("produced mesons","mson produits")]
		physique += [("produced","produit")]
		physique += [("produce","produit")]
		physique += [("produces","produit")]
		physique += [("producing","produisant")]
		physique += [("production cross section","section efficace de production")]
		physique += [("production","la production")]
		physique += [("production","production")]
		physique += [("profiting","profitant")]
		physique += [("programmable","programmable")]
		physique += [("program","programme")]
		physique += [("progress","progrs")]
		physique += [("promotion","promotion")]
		physique += [("pronounced","prononc")]
		physique += [("propagated","propag")]
		physique += [("propagate","se propage")]
		physique += [("propagates","se propage")]
		physique += [("propagating","propageant")]
		physique += [("propagation","propagation")]
		physique += [("properly","correctement")]
		physique += [("proportional","proportionnel")]
		physique += [("proposal","propose")]
		physique += [("proposal","proposition")]
		physique += [("proposed","propos")]
		physique += [("propose","propose")]
		physique += [("proton beam","faisceau de protons")]
		physique += [("proton","proton")]
		physique += [("protons","protons")]
		physique += [("prototyping","prototypant")]
		physique += [("provided","fourni")]
		physique += [("provide","fournir")]
		physique += [("provides","fournit")]
		physique += [("providing","fournissant")]
		physique += [("pulsing","pulsant")]
		physique += [("purely","purement")]
		physique += [("purpose","but")]
		physique += [("pushed","pouss")]
		physique += [("pushing","poussant")]
		physique += [("push","pousse")]
		physique += [("puts","met")]
		physique += [("putting","mettant")]
		physique += [("puzzling","dconcertant")]
		physique += [("quadrature","quadrature")]
		physique += [("qualitative differences","diffrences qualitatives")]
		physique += [("qualitatively","qualitativement")]
		physique += [("qualitative","qualitatif")]
		physique += [("quality","qualit")]
		physique += [("quanta","quanta")]
		physique += [("quantify","quantifie")]
		physique += [("quantities","quantits")]
		physique += [("quantity","quantit")]
		physique += [("quantized","quantifi")]
		physique += [("quantum decay","dsintgration quantique")]
		physique += [("quantum gravitational effects","effet gravitationnel quantique")]
		physique += [("quantum gravitational effects","effets gravitationnels quantiques")]
		physique += [("quantum gravity","gravit quantique")]
		physique += [("quantum limit","limite du quanta")]
		physique += [("quantum numbers","nombres quantiques")]
		physique += [("quantum phase","phase quantique")]
		physique += [("quantum","quantique")]
		physique += [("quark","quark")]
		physique += [("quarks","quarks")]
		physique += [("question","question")]
		physique += [("questions","questions")]
		physique += [("quickly","rapidement")]
		physique += [("radiated","rayonn")]
		physique += [("radiates","rayonne")]
		physique += [("radiating","mettant")]
		physique += [("radiation","radiation")]
		physique += [("radii","rayons")]
		physique += [("radiofrequency","radiofrequence")]
		physique += [("radius","rayon")]
		physique += [("raise","augmente")]
		physique += [("raised","augment")]
		physique += [("raises","augmente")]
		physique += [("range","intervalle")]
		physique += [("ranges","intervalles")]
		physique += [("rapidly","rapidement")]
		physique += [("rare","rare")]
		physique += [("rates","taux")]
		physique += [("rate","taux")]
		physique += [("rather","plutt")]
		physique += [("ratio","ratio")]
		physique += [("ratios","ratios")]
		physique += [("rays","rayonnements")]
		physique += [("reach","atteint")]
		physique += [("reaches","atteint")]
		physique += [("reaching","atteignant")]
		physique += [("reactions","ractions")]
		physique += [("reading","lisant")]
		physique += [("read","lit")]
		physique += [("readout","mesure")]
		physique += [("realisation","ralisation")]
		physique += [("realistic","raliste")]
		physique += [("realization","ralisation")]
		physique += [("realized","ralis")]
		physique += [("real","rel")]
		physique += [("reasonable","raisonnable")]
		physique += [("reason","raison")]
		physique += [("reasons","raisons")]
		physique += [("reassuring","rassurant")]
		physique += [("recalibration","recalibration")]
		physique += [("recalling","se rappelant")]
		physique += [("recall","se rappelle")]
		physique += [("received","reu")]
		physique += [("receiver","rcepteur")]
		physique += [("receivers","rcepteurs")]
		physique += [("receiving","recevant")]
		physique += [("recent experimental data","les donnes exprimentales rcentes")]
		physique += [("recently","rcemment")]
		physique += [("recent","rcent")]
		physique += [("recoil","recul")]
		physique += [("reconnection","reconnection")]
		physique += [("reconstructed","reconstruit")]
		physique += [("reconstruction","reconstruction")]
		physique += [("recorded","enregistr")]
		physique += [("records","enregistre")]
		physique += [("recovered","retouv")]
		physique += [("red giants","gantes rouges")]
		physique += [("reduced Planck mass","masse de Planck rduite")]
		physique += [("reduced Planck scale","l'chelle de Planck rduite")]
		physique += [("reduced","rduit")]
		physique += [("reduce","rduit")]
		physique += [("reduces","rduit")]
		physique += [("reducing","rduisant")]
		physique += [("reduction","rduction")]
		physique += [("reference frequency","frquence de rfrence")]
		physique += [("reference point","point de rfrence")]
		physique += [("reference","rfrence")]
		physique += [("references","rfrences")]
		physique += [("refer","rfre")]
		physique += [("refinement","raffinement")]
		physique += [("reflected","reflet")]
		physique += [("reflecting","refltant")]
		physique += [("reflector","rflecteur")]
		physique += [("reflect","reflte")]
		physique += [("region","rgion")]
		physique += [("related","reli")]
		physique += [("related to","reli ")]
		physique += [("relate","relate")]
		physique += [("relating","relatant")]
		physique += [("relation","relation")]
		physique += [("relationship","relation")]
		physique += [("relations","relations")]
		physique += [("relative deviation","dviation relative")]
		physique += [("relatively","relativement")]
		physique += [("relative","relatif")]
		physique += [("relativistic","relativistique")]
		physique += [("released","publi")]
		physique += [("release","publication")]
		physique += [("releases","libre")]
		physique += [("relevant","pertinent")]
		physique += [("relied","soulag")]
		physique += [("rely","compter")]
		physique += [("remained","restait")]
		physique += [("remaining","restant")]
		physique += [("remain","reste")]
		physique += [("remains","reste")]
		physique += [("remarked","remarqu")]
		physique += [("remark","remarque")]
		physique += [("remove","enlve")]
		physique += [("removing","enlevant")]
		physique += [("renormalisation","renormalisation")]
		physique += [("repeatedly"," maintes reprises")]
		physique += [("repeated","rpt")]
		physique += [("repeat","rpte")]
		physique += [("reported","report")]
		physique += [("report","rapporte")]
		physique += [("representation","reprsentation")]
		physique += [("representative","representatif")]
		physique += [("representing","reprsentant")]
		physique += [("represent","reprsente")]
		physique += [("represents","reprsente")]
		physique += [("reproduced","reproduit")]
		physique += [("reproduce","reproduit")]
		physique += [("reproduces","reproduit")]
		physique += [("repulsive forces","forces rpulsives")]
		physique += [("repulsive","rpulsive")]
		physique += [("requested","requis")]
		physique += [("required","ncessite")]
		physique += [("requirement","critre requis")]
		physique += [("require","ncessite")]
		physique += [("requires","ncessite")]
		physique += [("requiring","ncessitant")]
		physique += [("requisite","requis")]
		physique += [("researches","recherches")]
		physique += [("research","recherche")]
		physique += [("residual","rsiduel")]
		physique += [("residuals","rsiduels")]
		physique += [("resistive","rsistant")]
		physique += [("resolved","rsolu")]
		physique += [("resolve","rsoud")]
		physique += [("resonances","rsonances")]
		physique += [("resources","resources")]
		physique += [("respectively","respectivement")]
		physique += [("response","rponse")]
		physique += [("responsible","responsable")]
		physique += [("rest mass","masse au repos")]
		physique += [("rest","reste")]
		physique += [("restricted","restreint")]
		physique += [("restricting","limitant")]
		physique += [("resulted","ont rsult")]
		physique += [("resulting from","rsultant de")]
		physique += [("resulting","rsultant")]
		physique += [("result","rsultat")]
		physique += [("results","rsultats")]
		physique += [("retained","report")]
		physique += [("return","retourne")]
		physique += [("revealed","rvl")]
		physique += [("reveal","rvle")]
		physique += [("revisit","revisiter")]
		physique += [("revived","raviv")]
		physique += [("revive","ravive")]
		physique += [("revolution","rvolution")]
		physique += [("rewrite","rcrit")]
		physique += [("richer","plus riche")]
		physique += [("right part","partie droite")]
		physique += [("role","role")]
		physique += [("rotational","rotationel")]
		physique += [("rotation","rotation")]
		physique += [("roughly","grossirement")]
		physique += [("rough","rude")]
		physique += [("routinely","habituellement")]
		physique += [("ruled","rgl")]
		physique += [("rule","rgle")]
		physique += [("running","courant")]
		physique += [("runs","court")]
		physique += [("safe","en scurit")]
		physique += [("safely","en toute scurit")]
		physique += [("safest","le plus sur")]
		physique += [("said","dit")]
		physique += [("same","mme")]
		physique += [("samples","chantillon")]
		physique += [("satellite","satellite")]
		physique += [("satisfied","satisfait")]
		physique += [("satisfies","satisfait")]
		physique += [("satisfying","satisfaisant")]
		physique += [("saturation","saturation")]
		physique += [("scalar","scalaire")]
		physique += [("scalars","scalaire")]
		physique += [("scalar sum","somme scalaire")]
		physique += [("scale","chelle")]
		physique += [("scales","chelles")]
		physique += [("scaling","mettant  l'chelle")]
		physique += [("scattering","diffusion")]
		physique += [("scattering","dispersion")]
		physique += [("scenario","scnario")]
		physique += [("schematic description","description schmatique")]
		physique += [("schematic","schmatique")]
		physique += [("schools","coles")]
		physique += [("Schwarzschild BH","trou noir de schwartschild")]
		physique += [("schwarzschild","schwarzschild")]
		physique += [("science","science")]
		physique += [("sciences","sciences")]
		physique += [("scientific","scientifique")]
		physique += [("scintillating","scintillant")]
		physique += [("scintillator","scintillateur")]
		physique += [("screened","crant")]
		physique += [("screwed","viss")]
		physique += [("searches ","des recherches")]
		physique += [("searches","des recherches")]
		physique += [("search","recherche")]
		physique += [("secondary","secondairement")]
		physique += [("second","en second")]
		physique += [("sections","sections")]
		physique += [("sector","secteur")]
		physique += [("seem","semble")]
		physique += [("seems","semble")]
		physique += [("seen","vu")]
		physique += [("segment","segment")]
		physique += [("selected","slectionn")]
		physique += [("selection","slection")]
		physique += [("self","auto")]
		physique += [("semiclassical","semiclassique")]
		physique += [("semiclassical treatment","traitement semiclassique")]
		physique += [("semi","semi")]
		physique += [("sending","envoyant")]
		physique += [("sense","sens")]
		physique += [("sensible","sensible")]
		physique += [("sensitive","sensitif")]
		physique += [("sensitivity","sensitivit")]
		physique += [("separated","spar")]
		physique += [("separately","sparment")]
		physique += [("separate","spare")]
		physique += [("separating","sparant")]
		physique += [("separation","sparation")]
		physique += [("separations","sparations")]
		physique += [("sequence","squence")]
		physique += [("series","sries")]
		physique += [("serious","srieux")]
		physique += [("serving","servant")]
		physique += [("set","fixe")]
		physique += [("sets","fixe")]
		physique += [("setting","fixant")]
		physique += [("settling down","s'apaisant")]
		physique += [("seven","sept")]
		physique += [("several","plusieurs")]
		physique += [("severe","svere")]
		physique += [("shed light","mettre en lumire")]
		physique += [("shifted","dplac")]
		physique += [("shifters","dcaleur")]
		physique += [("shifting","dcalant")]
		physique += [("short","court")]
		physique += [("shorter","plus court")]
		physique += [("should br","devrait tre")]
		physique += [("should","devrait")]
		physique += [("should manifest themselves","devraient se manifester")]
		physique += [("showed","montr")]
		physique += [("showing","montrant")]
		physique += [("show","montre")]
		physique += [("shown by","montr par")]
		physique += [("shown","montr")]
		physique += [("shows","montre")]
		physique += [("shrinks","rtrcie")]
		physique += [("side","ct")]
		physique += [("sides","cts")]
		physique += [("signal","signal")]
		physique += [("signals","signaux")]
		physique += [("signature","signature")]
		physique += [("signatures","signatures")]
		physique += [("significance","signification")]
		physique += [("significantly","significativement")]
		physique += [("significant","significant")]
		physique += [("similarity","similarit")]
		physique += [("similarly","similairement")]
		physique += [("similar","similaire")]
		physique += [("similiar","similaire")]
		physique += [("simple","simple")]
		physique += [("simplicity","simplicit")]
		physique += [("simplified","simplifi")]
		physique += [("simply","simplement")]
		physique += [("simulated","simul")]
		physique += [("simulates","simule")]
		physique += [("simulating","simulant")]
		physique += [("simulation results","rsultats de simulation")]
		physique += [("simulation","simulation")]
		physique += [("simulations","simulations")]
		physique += [("simulator","simulateur")]
		physique += [("simultaneously","simultanment")]
		physique += [("simultaneous","simultanment")]
		physique += [("since","depuis que")]
		physique += [("single","seul")]
		physique += [("singlet","singlet")]
		physique += [("situation","situation")]
		physique += [("situations","situations")]
		physique += [("six dimensional Planck scale","chelle de Planck  six dimensions")]
		physique += [("six dimensional Planck scale","l'chelle de Planck  six dimensions")]
		physique += [("six","six")]
		physique += [("sixth","en sixime")]
		physique += [("sized","taill")]
		physique += [("sizes","tailles")]
		physique += [("size","taille")]
		physique += [("slightly","lgrement")]
		physique += [("smaller","plus petit")]
		physique += [("smaller than","plus petit que")]
		physique += [("smallest","le plus petit")]
		physique += [("SM fields","champs SM")]
		physique += [("SM particles","particles du SM")]
		physique += [("sn","sn")]
		physique += [("society","societ")]
		physique += [("so","donc")]
		physique += [("soft","doux")]
		physique += [("softer","plus doux")]
		physique += [("softness","douceur")]
		physique += [("solar","solaire")]
		physique += [("solar-systme distances","distances de l'ordre du systme solaire")]
		physique += [("soldered","souder")]
		physique += [("solenoid","solnode")]
		physique += [("solid","solide")]
		physique += [("soliton","soliton")]
		physique += [("solution","solution")]
		physique += [("solutions","solutions")]
		physique += [("solved","rsolu")]
		physique += [("solve","rsoud")]
		physique += [("solving","rsolvant")]
		physique += [("somehow","d'unecertaine manire")]
		physique += [("some","quelques")]
		physique += [("somewhat","un peu")]
		physique += [("sophisticated","sophistiqu")]
		physique += [("sort","rage")]
		physique += [("sorts","range")]
		physique += [("source","source")]
		physique += [("spaced","espac")]
		physique += [("space","espace")]
		physique += [("space-time","espace-temps")]
		physique += [("space-times","espace-temps")]
		physique += [("spatial dimensions","dimensions spatiales")]
		physique += [("spatially","spatiallement")]
		physique += [("spatial","spatiale")]
		physique += [("specially","spciallement")]
		physique += [("special","spcial")]
		physique += [("species","espces")]
		physique += [("specifically","spcifiquement")]
		physique += [("specific","spcifique")]
		physique += [("specified","spcifi")]
		physique += [("specifying","spcifiant")]
		physique += [("spectacular","spectaculaire")]
		physique += [("spectra","spectre")]
		physique += [("spectrometers","spectromtres")]
		physique += [("spectrometre","spectromtre")]
		physique += [("spectrum","spectre")]
		physique += [("speculate","spcule")]
		physique += [("speculations","spculations")]
		physique += [("speed","vitesse")]
		physique += [("spells","pelle")]
		physique += [("sphere","sphre")]
		physique += [("spin","spin")]
		physique += [("spontaneously","spontanment")]
		physique += [("spontaneous","spontan")]
		physique += [("sqfqsdfqs","mlkmlklmkml")]
		physique += [("squared","carr")]
		physique += [("stabilised","stabilis")]
		physique += [("stabilising","stabilisant")]
		physique += [("stability","stabilit")]
		physique += [("stabilizing","stabilisant")]
		physique += [("stable","stable")]
		physique += [("stacks","tas")]
		physique += [("stage","tape")]
		physique += [("stages","tapes")]
		physique += [("Standard Model","Modle Standard")]
		physique += [("Standard Model particles","des particules du modle standard")]
		physique += [("standard","standard")]
		physique += [("stanford","stanford")]
		physique += [("star","toile")]
		physique += [("stars","toiles")]
		physique += [("started","commenc")]
		physique += [("starting","commenant")]
		physique += [("state","tat")]
		physique += [("statement","expression")]
		physique += [("states","tats")]
		physique += [("stationary","stationaire")]
		physique += [("statistically","statistiquement")]
		physique += [("statistical","statistique")]
		physique += [("statistical uncertainty","incertitude statistique")]
		physique += [("statistics","statistiques")]
		physique += [("stellar dynamics","dynamique stellaire")]
		physique += [("stellar","stellaire")]
		physique += [("step","pas")]
		physique += [("stepsize","taille du pas")]
		physique += [("steps","pas")]
		physique += [("still","encore")]
		physique += [("stored","conserv")]
		physique += [("straightforward","direct")]
		physique += [("strength","force")]
		physique += [("stressing","soulignant")]
		physique += [("string","corde")]
		physique += [("stringent","strict")]
		physique += [("string excitations","excitations de cordes")]
		physique += [("string scale","chelle de corde")]
		physique += [("strings","cordes")]
		physique += [("string theory","thorie des cordes")]
		physique += [("stronger","plus fort")]
		physique += [("stronger than","plus fort que")]
		physique += [("strongest","le plus fort")]
		physique += [("strong","fort")]
		physique += [("strongly","fortement")]
		physique += [("strong quantum gravitational effects","forts effets gravitationnels quantiques")]
		physique += [("structure","structure")]
		physique += [("stuck","coinc")]
		physique += [("studied","tudi")]
		physique += [("studies","tudes")]
		physique += [("study","tude")]
		physique += [("studying","tudiant")]
		physique += [("subdivided","subdivis")]
		physique += [("subgroup","sousgroupe")]
		physique += [("submanifold","sous varit")]
		physique += [("submillimeter","submillimtre")]
		physique += [("subsample","sous-chantillon")]
		physique += [("subsequently","par la suite")]
		physique += [("subsequent","subsquent")]
		physique += [("subtle","subtil")]
		physique += [("successful","russi")]
		physique += [("succession","succession")]
		physique += [("success","succs")]
		physique += [("such as","tel que")]
		physique += [("such","tel")]
		physique += [("suffer","souffrir")]
		physique += [("sufficiently","suffisamment")]
		physique += [("suggested","suggr")]
		physique += [("suggests","suggre")]
		physique += [("suggest","suggre")]
		physique += [("summer","hiver")]
		physique += [("summing","rsumant")]
		physique += [("sum","somme")]
		physique += [("sun","soleil")]
		physique += [("supercomputer","superordinateur")]
		physique += [("supernova","supernova")]
		physique += [("superpotential","superpotentiel")]
		physique += [("superstrings","supercordes")]
		physique += [("supersymmetric","supersymtrique")]
		physique += [("supersymmetry","supersymtrie")]
		physique += [("supported","support")]
		physique += [("suppose","suppose")]
		physique += [("suppressed","supprim")]
		physique += [("suppresses","supprime")]
		physique += [("suppressing","suppressant")]
		physique += [("suppression","suppression")]
		physique += [("suppress","supprime")]
		physique += [("surface","surface")]
		physique += [("surrounding","entourant")]
		physique += [("survival","de survie")]
		physique += [("survives the astrophysical constraints","survit ")]
		physique += [("survives the astrophysical constraints","survit aux contraintes astrophysiques")]
		physique += [("susy","susy")]
		physique += [("switch","changement")]
		physique += [("switches","commutateur")]
		physique += [("symmetric","symtrique")]
		physique += [("symmetries","symtries")]
		physique += [("symmetry","symtrie")]
		physique += [("synchronisation","synchronisation")]
		physique += [("synchronised","synchronis")]
		physique += [("synchronously","de manire synchrone")]
		physique += [("synchronous","synchrone")]
		physique += [("synchrotron","synchrotron")]
		physique += [("systematically","systmatiquement")]
		physique += [("systematic errors","erreurs systmatiques")]
		physique += [("systematic","systmatique")]
		physique += [("systems","systmes")]
		physique += [("system","systme")]
		physique += [("table","table")]
		physique += [("take away","diminuer")]
		physique += [("taken","pris")]
		physique += [("take","prend")]
		physique += [("takes","prend")]
		physique += [("taking","prenant")]
		physique += [("target","cible")]
		physique += [("target focal point","point focal de la cible")]
		physique += [("technical","technique")]
		physique += [("technology","technologie")]
		physique += [("telescope","tlscope")]
		physique += [("temperatures","tempratures")]
		physique += [("temperature","temprature")]
		physique += [("tension","tension")]
		physique += [("tensor","tenseur")]
		physique += [("terms","termes")]
		physique += [("term","terme")]
		physique += [("terrestrial","terrestre")]
		physique += [("tested","test")]
		physique += [("test","test")]
		physique += [("test","teste")]
		physique += [("TeV BHs","trous noirs d'nergie TeV")]
		physique += [("TeV-scale black holes","trous noirs  l'chelle du TeV")]
		physique += [("TeV scale","chelle du TeV")]
		physique += [("tev","teV")]
		physique += [("thank","remercier")]
		physique += [("than","que")]
		physique += [("that","que")]
		physique += [("absence","absence")]
		physique += [("the ADD scenario","le scnario ADD")]
		physique += [("the astrophysical constraints","les contraintes astrophysiques")]
		physique += [("the BH mass","la masse du trou noir")]
		physique += [("the choice","le choix")]
		physique += [("the existence","l'existence")]
		physique += [("the experimental data","les donnes exprimentales")]
		physique += [("the hoop conjecture","la conjecture hoop")]
		physique += [("their","leur")]
		physique +=[("The","Le")]
		physique += [("The model-independent 95\\% C.L. upper cross section limits","les limites maximales  95% C.L. de la section efficace, indpendant du modle,")]
		physique += [("the most","le plus")]
		physique += [("themselves","eux-mmes")]
		physique += [("them","thme")]
		physique += [("then","alors")]
		physique += [("the newly formed","le nouvellement form")]
		physique += [("The observation","L'observation")]
		physique += [("the one","celui")]
		physique += [("theorem","thorme")]
		physique += [("theoretically","theoretiquement")]
		physique += [("theoretical","thoriquement")]
		physique += [("theoretic","thorique")]
		physique += [("theories","thories")]
		physique += [("theory","thorie")]
		physique += [("the purpose","le but")]
		physique += [("There are","il y a")]
		physique += [("thereby","ainsi")]
		physique += [("therefore","ainsi")]
		physique += [("there","ici")]
		physique += [("There is","il y a")]
		physique += [("thermal averaging","moyenne sur la temprature")]
		physique += [("thermal evaporation","vaporation thermique")]
		physique += [("thermal evaporation stage","tape d'vaporation thermique")]
		physique += [("thermal","thermal")]
		physique += [("the schwarzschild radius","le rayon de schwarzschild")]
		physique += [("these","ces")]
		physique += [("these null rsults","ces rsultats nuls")]
		physique += [("the simulation","la simulation")]
		physique += [("the simulation results","les rsultats de la simulation")]
		physique += [("The Standard Model","le modle standard")]
		physique += [("the tev scale","l'chelle du Tev")]
		physique += [("they differ","ils diffrent")]
		physique += [("they","ils")]
		physique += [("they typically suffer from","il souffrent typiquement de")]
		physique += [("things","choses")]
		physique += [("think","pense")]
		physique += [("third","en troisime")]
		physique += [("This allowed estimating","cela a permis d'estimer")]
		physique += [("this","ce")]
		physique += [("this is necessary","c'est ncessaire")]
		physique += [("this paper","ce papier")]
		physique += [("those","ces")]
		physique += [("thought","pensait")]
		physique += [("three","trois")]
		physique += [("threshold","seuil")]
		physique += [("through"," travers")]
		physique += [("thus","ainsi")]
		physique += [("tightly","solidement")]
		physique += [("time difference","diffrence de temps")]
		physique += [("time of flight measurement","mesure du temps de vol")]
		physique += [("time structure","structure du temps")]
		physique += [("timing","timing")]
		physique += [("to be larger than"," tre plus grand que")]
		physique += [("to date"," ce jour")]
		physique += [("to determine","pour dterminer")]
		physique += [("together","ensemble")]
		physique += [("topological","toplogique")]
		physique += [("to probe","pour prouver")]
		physique += [("toroidal","torodal")]
		physique += [("torus","tor")]
		physique += [("to set","de fixer")]
		physique += [("to solve","de rsoudre")]
		physique += [("total cross section","section efficace totale")]
		physique += [("totally","totallement")]
		physique += [("total systematic uncertainty","incertitude systmatique totale")]
		physique += [("total","total")]
		#physique += [("to","tttttttttt")]
		physique += [("towards","vers")]
		physique += [("towers","tours")]
		physique += [("tower","tour")]
		physique += [("traceless","sans trace")]
		physique += [("track","piste")]
		physique += [("traditional","traditionnel")]
		physique += [("transfered","transfr")]
		physique += [("transfer","transfert")]
		physique += [("transformations","transformations")]
		physique += [("transformed","transform")]
		physique += [("transforms","transforme")]
		physique += [("transiting","transitant")]
		physique += [("transition","transition")]
		physique += [("translates","translate")]
		physique += [("translating","translatant")]
		physique += [("translational","de trantuction")]
		physique += [("translations","translations")]
		physique += [("translation","translation")]
		physique += [("transmission","transmission")]
		physique += [("transmitted","transmis")]
		physique += [("transportable","transportable")]
		physique += [("transverse energies","nergies transverses")]
		physique += [("transverse energy","nergie transverse")]
		physique += [("transverse momenta","quantit de mouvement transverse")]
		physique += [("transverse part","partie transverse")]
		physique += [("transverse,traceless components","composants transverse, sans trace")]
		physique += [("transverse","transverse")]
		physique += [("trapped","pig")]
		physique += [("traveling","voyageant")]
		physique += [("travel","voyage")]
		physique += [("treatment","traitement")]
		physique += [("tree","arbre")]
		physique += [("tremendously","normment")]
		physique += [("trigger","dclencheur")]
		physique += [("triggered","dclench")]
		physique += [("trivially","triviallement")]
		physique += [("trivial","trivial")]
		physique += [("true","vrai")]
		physique += [("trust","confiance")]
		physique += [("turning","tournant")]
		physique += [("turns","tourne")]
		physique += [("turn","tour")]
		physique += [("twenty","vingt")]
		physique += [("two","deux")]
		physique += [("type I string theory","thorie des cordes de type I")]
		physique += [("types","types")]
		physique += [("type","type")]
		physique += [("typically","typiquement")]
		physique += [("typical size","taille typique")]
		physique += [("typical","typique")]
		physique += [("ultrahigh-energy cosmic ray","rayonnement cosmique de trs haute nergie")]
		physique += [("ultrahigh-energy","de trs haute nergie")]
		physique += [("ultraviolet","ultravioler")]
		physique += [("unacceptable way","faon inacceptable")]
		physique += [("unacceptably","inacceptable")]
		physique += [("unaffected","sans affectation")]
		physique += [("unavoidable","invitable")]
		physique += [("uncertainties","incertitudes")]
		physique += [("uncertainty","incertitude")]
		physique += [("unchanged","inchang")]
		physique += [("uncompactified","dcompact")]
		physique += [("uncorrelated","sans rapport")]
		physique += [("uncover","dcouvert")]
		physique += [("underestimation","sousestimation")]
		physique += [("underground Gran Sasso Laboratory","laboratoire souterrain de Gran Sasso")]
		physique += [("underground","souterrain")]
		physique += [("under","sous")]
		physique += [("understand","comprend")]
		physique += [("understood","comprenait")]
		physique += [("undetermined","indtermin")]
		physique += [("unification","unification")]
		physique += [("unified","unifi")]
		physique += [("uniformly","uniformment")]
		physique += [("uniform","uniforme")]
		physique += [("unimportant","sans importance")]
		physique += [("uniquely","uniquement")]
		physique += [("unitary","unitaire")]
		physique += [("unite","s'unifie")]
		physique += [("unit mass","unit de masse")]
		physique += [("units","units")]
		physique += [("unit time","unit de temps")]
		physique += [("unit","unit")]
		physique += [("universal","universel")]
		physique += [("universe","univers")]
		physique += [("university","universit")]
		physique += [("unknown","inconnu")]
		physique += [("unlike"," la diffrence de")]
		physique += [("unlikely","peu probable")]
		physique += [("unnamed generator","gnrateur anonyme")]
		physique += [("unnatural","contre nature")]
		physique += [("unparticles","unparticles")]
		physique += [("unspecified","non spcifi")]
		physique += [("unstable quanta","quanta instables")]
		physique += [("unsuppressed","non supprim")]
		physique += [("until","jusqu'")]
		physique += [("upcoming","prochain")]
		physique += [("upgrades","mise  jour")]
		physique += [("upon","sur")]
		physique += [("upper bounds","limites suprieures")]
		physique += [("upper cross section limits","les limites maximales de la section efficace")]
		physique += [("upper limit","limite suprieure")]
		physique += [("upper limits","des limites suprieures")]
		physique += [("upper limits","limites suprieures")]
		physique += [("upper limits","limite suprieures")]
		physique += [("upper","suprieure")]
		physique += [("upper two graphs","deux graphiques du dessus")]
		physique += [("upshot","rsultat")]
		physique += [("upstream","en amont")]
		physique += [("used by","utilis par")]
		physique += [("used in","utilis dans")]
		physique += [("used","utilis")]
		physique += [("useful","utile")]
		physique += [("user","utilisateur")]
		physique += [("uses","utilise")]
		physique += [("using","utilisant")]
		physique += [("usual","usuel")]
		physique += [("vacuum","vide")]
		physique += [("vague","vague")]
		physique += [("valid","valide")]
		physique += [("values","valeurs")]
		physique += [("value","valeur")]
		physique += [("vanish","disparat")]
		physique += [("vanishes","disparat")]
		physique += [("variable","variable")]
		physique += [("variance","variance")]
		physique += [("variations","variations")]
		physique += [("varies","varie")]
		physique += [("variety","varits")]
		physique += [("various","divers")]
		physique += [("various parameters","diffrents paramtres")]
		physique += [("vastly","grandement")]
		physique += [("vast","vaste")]
		physique += [("vector sum","somme vectorielle")]
		physique += [("vectors","vecteurs")]
		physique += [("vector","vecteur")]
		physique += [("velocity","vlocit")]
		physique += [("verified","vrifi")]
		physique += [("version","version")]
		physique += [("versus","contre")]
		physique += [("vertex","vertex")]
		physique += [("vertical","verticale")]
		physique += [("very","trs")]
		physique += [("viability","viabilit")]
		physique += [("viable","viable")]
		physique += [("via","via")]
		physique += [("viewed","vu")]
		physique += [("viewpoint","point de vue")]
		physique += [("view","vue")]
		physique += [("violates","viole")]
		physique += [("violating","violant")]
		physique += [("violations","violations")]
		physique += [("violation","violation")]
		physique += [("visible","visible")]
		physique += [("volume","volume")]
		physique += [("waals","waals")]
		physique += [("wall","mur")]
		physique += [("walls","murs")]
		physique += [("want","veut")]
		physique += [("was","fut")]
		physique += [("was made","a t fait")]
		physique += [("was supported","fut soutenu")]
		physique += [("waveform","forme d'onde")]
		physique += [("waveforms","forme d'onde")]
		physique += [("wavefunction","fonction d'onde")]
		physique += [("wavelength","longueur d'onde")]
		physique += [("wavelengths","longueurs d'onde")]
		physique += [("ways","faons")]
		physique += [("weaker","plus faible")]
		physique += [("weakest","le plus faible")]
		physique += [("weak","faible")]
		physique += [("weakly","faiblement")]
		physique += [("weakness","faiblesse")]
		physique += [("weak scale","chelle faible")]
		physique += [("we discuss","nous discutons")]
		physique += [("we establish","nous tablissons")]
		physique += [("we have","nous avons")]
		physique += [("well","bien")]
		physique += [("we","nous")]
		physique += [("were","taient")]
		physique += [("were used","furent utiliss")]
		physique += [("we run","nous lanons")]
		physique += [("we show","nous montrons")]
		physique += [("we simulate","nous simulons")]
		physique += [("we then derive","alors nous tirons")]
		physique += [("we wish to","nous voudrions")]
		physique += [("wg","wg")]
		physique += [("what","ce que")]
		physique += [("whatever","peu importe")]
		physique += [("what happened","ce qui s'est pass")]
		physique += [("what is going on","ce qui se passe")]
		physique += [("when","quand")]
		physique += [("whereas","alors que")]
		physique += [("where","o")]
		physique += [("whether","si")]
		physique += [("which","lequel")]
		physique += [("which","que")]
		physique += [("while","alors que")]
		physique += [("whose","dont")]
		physique += [("width","largeur")]
		physique += [("will be","sera")]
		physique += [("will","va")]
		physique += [("winding","sinueux")]
		physique += [("with","avec")]
		physique += [("within"," l'intrieur de")]
		physique += [("without returning","sans retourner")]
		physique += [("without","sans")]
		physique += [("without using","sans utiliser")]
		physique += [("wonder","se demander")]
		physique += [("work","travail")]
		physique += [("worry","dsol")]
		physique += [("worse","pire")]
		physique += [("worst","le pire")]
		physique += [("would","devrait")]
		physique += [("write","crire")]
		physique += [("written","crit")]
		physique += [("wrongly","  tort")]
		physique += [("wrong","mauvais")]
		physique += [("year","anne")]
		physique += [("years","annes")]
		physique += [("yielding","rapportant")]
		physique += [("yields","yields")]
		physique += [("yukawa","yukawa")]
		physique += [("zero","zro")]
	
	
		physique += [("background","arrire-plan")]
		physique += [("locally","localement")]
		#self.trans+=physique
		return physique

	
	def CreeDictionnaireBlender(self):#AJOUT DE MOTS [mo,po]
		Tprint('-*** init br_Cdictionnaire.CreeDictionnaireBlender')
		blender=[]
		blender+=[("using","en utilisant")]
		blender+=[("algorithm","algorithme")]
		blender+=[("fixed","fix")]
		blender+=[("1st","1er")]
		blender+=[("2nd","2nd")]
		blender+=[("3rd","3me")]
		blender+=[("4th","4me")]
		blender+=[("slower","plus lente")]
		blender+=[("split","spare")]
		blender+=[("triangles","triangles")]
		blender+=[("triangle","triangle")]
		blender+=[("triangulate","trianguler")]
		blender+=[("vertices","sommets")]
		blender+=[("vertice","sommet")]
		blender+=[("diagonal","diagonale")]
		blender+=[("shortest","plus petite")]
		blender+=[("operation","opration")]
		blender+=[("little effort","peu d'effort")]
		blender+=[("operations","oprations")]
		blender+=[("default","par dfaut")]
		blender+=[("install","installation")]
		blender+=[("object","objet")]
		blender+=[("properties","proprits")]
		blender+=[("the right of","la droite de")]
		blender+=[("screen","cran")]
		blender+=[("click","cliquer")]
		blender+=[("boolean","boolen")]
		blender+=[("button","bouton")]
		blender+=[("row","ligne")]
		blender+=[("column","colonne")]
		blender+=[("you","vous")]
		blender+=[("shortcut","raccourci")]
		blender+=[("spacebar","barre d'espace")]
		blender+=[("press","appuyer sur")]
		blender+=[("the only","le seul")]
		blender+=[("the normals","les normales")]
		blender+=[("inverted","inverss")]
		blender+=[("meshes","meshs")]
		blender+=[("resultant","rsultant")]
		blender+=[("may","pouvez")]
		blender+=[("substracted","soustrait")]
		blender+=[("see","voir")]
		blender+=[("your","votre")]
		blender+=[("add","ajouter")]
		blender+=[("depending on","dpendant de")]
		blender+=[("complexity","complexit")]
		blender+=[("imperfect","imparfaite")]
		blender+=[("grid","grille")]
		blender+=[("uv/image editor window","fentre uv/diteur d'image")]
		blender+=[("performed","effectu")]
		blender+=[("perform","effectuer")]
		blender+=[("modifier","modificateur")]
		blender+=[("topology","topologie")]
		blender+=[("anyway","de toutes faons")]
		blender+=[("visually","visuellement")]
		blender+=[("execute","excuter")]
		blender+=[("copy","copier")]
		blender+=[("prepare","prparer")]
		blender+=[("icosphere","icosphre")]
		blender+=[("transferred","transferr")]
		blender+=[("times","fois")]
		blender+=[("pointing to","pointant vers")]
		blender+=[("circumstances","circonstances")]
		blender+=[("sequential","squentiel")]
		blender+=[("inwards","vers l'intrieur")]
		blender+=[("outwards","vers l'extrieur")]
		blender+=[("enable","autoriser")]
		blender+=[("enabled","coch")]
		blender+=[("what happens","ce qui se passe")]
		blender+=[("blender","blender")]
		blender+=[("opened","ouvert")]
		blender+=[("recalculate","recalculer")]
		blender+=[("recalculating","en recalculant")]
		blender+=[("manually","manuellement")]
		blender+=[("duplicated","dupliqu")]
		blender+=[("vertices","sommets")]
		blender+=[("trying","essayant")]
		blender+=[("create","crer")]
		blender+=[("desired","dsir")]
		blender+=[("windows","fentre")]
		blender+=[("represented","reprsent")]
		blender+=[("wrench","cl  molette")]
		blender+=[("center","centre")]
		blender+=[("front","devant")]
		blender+=[("the way","la faon")]
		blender+=[("complexity"," complexit")]
		blender+=[("imperfect","imparfait")]
		blender+=[("row","ligne")]
		blender+=[("take into account","prendre en compte")]
		blender+=[("modified mesh","mesh modifi")]
		blender+=[("in conjunction","en conjonction")]
		blender+=[("warning","avertissement")]
		blender+=[("warn","avertir")]
		blender+=[("stack","pile")]
		blender+=[("into consideration","en considration")]
		blender+=[("be aware","soyez conscient")]
		blender+=[("at the same time","en mme temps")]
		blender+=[("fail","chouer")]
		blender+=[("pointing","pointant")]
		blender+=[("normals","normales")]
		blender+=[("use","utiliser")]
		blender+=[("tinted","teint")]
		blender+=[("bypassed","contourn")]
		blender+=[("tips","conseils")]
		blender+=[("bad","mauvais")]
		blender+=[("graphics card","carte graphique")]
		blender+=[("speed up","acclrer")]
		blender+=[("modern","moderne")]
		blender+=[("on the other hand","d'autre part")]
		blender+=[("capability","capacit")]
		blender+=[("GPU rendering","rendu GPU")]
		blender+=[("scene","scne")]
		blender+=[("interactivity","interactivit")]
		blender+=[("preference","prfrence")]
		blender+=[("feature","caractristique")]
		blender+=[("device","priphrique ")]
		blender+=[("overview","vue d'ensemble")]
		blender+=[("at the moment","pour le moment")]
		blender+=[("why","pourquoi")]
		blender+=[("memory","memoire")]
		blender+=[("usually","habituellement")]
		blender+=[("intend to","avoir l'intention de")]
		blender+=[("access","accder")]
		blender+=[("compiler","compilateur")]
		blender+=[("optimized","optimis")]
		blender+=[("delete","dtruisez")]
		blender+=[("responsive","ractive")]
		blender+=[("card","carte")]
		blender+=[("as often as","aussi souvent que")]
		blender+=[("smooth","lisse")]
		blender+=[("exist","existe")]
		blender+=[("alleviate","attnuer")]		
		blender+=[("rendered","rendu")]
		blender+=[("strand","mche")]
		blender+=[("alleviate","attnuer")]
		
		#self.trans+=blender
		return blender


	def Range(self,croissant=True):# ordonn par longueur en anglais puis alphabtiquement
		Tprint('-*** init br_Cdictionnaire.Range')
		self.trans=sorted ( self.trans , key=lambda tabl: tabl[0] , reverse=croissant )
		self.trans=sorted ( self.trans , key=lambda tabl: len(tabl[0] ) ,reverse=croissant)
		self.Uniq()
		return self.trans
	
		
	def Uniq(self): #s'assure de l'unicit
		Tprint('-**** init br_Cdictionnaire.Uniq')
		for no in range(len(self.trans)-1,0-1,-1):
			if self.trans[no]==self.trans[no-1]:
				Dprint('----',self.trans[no],' est en double')
				del self.trans[no]
		return self.trans	
	
	def PremieresTraductions(self,ligne):#specialites anglaises a pr traduire
		Tprint('-** init br_Cdictionnaire.PremieresTraductions')
				
		#ligne=self.TraduitFormules(ligne)
		
		self._PTdivers=[]				
		self._PTdivers+=[("([^a-zA-Z])([a-zA-Z]*)'s ([a-zA-Z]*)([^a-zA-Z])","\g<1>\g<3> de \g<2>\g<4>")]
		self._PTdivers+=[("([^a-zA-Z])a([^a-zA-Z])","\g<1>un\g<2>")]
		self._PTdivers+=[("([^a-zA-Z])an([^a-zA-Z])","\g<1>un\g<2>")]		
		self._PTdivers+=[("([^a-zA-Z])'ll([^a-zA-Z])","\g<1> will\g<2>")]
		for t in self._PTdivers:
			ligne=re.sub(t[0],t[1],ligne)
		return ligne
		
	def TraduitFormules(self,ligne):
		for t in self._DicoFormules:
			#print("=============",ligne,"===========")
			#print("=============",t[0],"===========")
			ligne=ligne.replace(t[0],t[1])
			#print(ligne)
		return ligne
		
		
	def DernieresTraductions(self,ligne):#specialites francaises a post traduire
		Tprint('-** init br_Cdictionnaire.DernieresTraductions')
		self._DTPremieresContractions=[]
		self._DTPremieresContractions+=[("([^a-zA-Z])le ([aeiouyAEIOUY])","\g<1>l'\g<2>")]
		self._DTPremieresContractions+=[("([^a-zA-Z])la ([aeiouyAEIOUY])","\g<1>l'\g<2>")]
		
		for t in self._DTPremieresContractions:
			#print((t[0],t[1],ligne))
			ligne=re.sub(t[0],t[1],ligne)
		
		self._DTContractions=[]
		self._DTContractions+=[('de le','du')]
		self._DTContractions+=[(' le','au')]		
		self._DTContractions+=[("de o","d'o")]
		self._DTContractions+=[("de un","d'un")]
		self._DTContractions+=[("ce est","c'est")]
		self._DTContractions+=[("Ce est","C'est")]
		self._DTContractions+=[("que ils","qu'ils")]
		self._DTContractions+=[("que elles","qu'elles")]
		
		for t in self._DTContractions:
			ligne=re.sub('([^a-zA-Z])'+t[0]+'([^a-zA-Z])','\g<1>'+t[1]+'\g<2>',ligne)
			
		
		Erreurs=[('faSur','faon')]
		for t in Erreurs:
			ligne=re.sub(t[0],t[1],ligne)
			
		return ligne	
		
	def ChercheUnMot(self,mot='gravitation',MotExacte=False):#chercher un mot
		Tprint('-** init br_Cdictionnaire.ChercheUnMot')
		Traduction_Exacte=[]
		mot=mot.lower()
		print('\nrecherche du mot '+mot)
		for mots in self.trans:
			if mot==mots[0].lower() or mot==mots[1].lower():
				Traduction_Exacte.append(mots)
			
			if mot in mots[0].lower() or mot in mots[1].lower():
				print(' rsultat de la recherche :'+'"'+mots[0]+'"'+"=>"+'"'+mots[1]+'"')
			else:
				if MotExacte==False:
					if mot in mots[0].lower()[0:-1] or mot in mots[1].lower()[0:-1] or mot[0:-1] in mots[0].lower() or mot[0:-1] in mots[1].lower():
						print(" rsultat approximatif : "+mots[0]+" => "+mots[1])
		print('traduction exacte:',Traduction_Exacte)
		print('fin de recherche du mot '+mot)	
	
	def PrepareLigne(self,ligne):
		Tprint('-*** init br_Cdictionnaire.PrepareLigne')
		ligne=' '+ligne+' '
		'''
		ponctuations=[',','\?','.',';','/',':','\!']
		for ponctuation in ponctuations:
			print('-------------------',ponctuation)
			ligne=re.sub(ponctuation,' '+ponctuation+' ',ligne)
		'''	
		return ligne		

	def TraduitTex(self,LigneATraduire):# Traduit une ligne
		Tprint('-** init br_Cdictionnaire.Traduit des lignes tex')
		_TraduitDesLeDebut=False
		
		
		
		
		
		propositions=[LigneATraduire]
		_LigneTraduite=''
		
		for proposition in propositions:
			LigneTraduite=proposition
			LigneTraduite=self.PrepareLigne(LigneTraduite)			
			LigneTraduite=self.PremieresTraductions(LigneTraduite)
			
			LigneTraduite=self.Traduit43(LigneTraduite)
			
			if LigneTraduite!=False:
				LigneTraduite=self.DernieresTraductions(LigneTraduite)
				LigneTraduite=LigneTraduite+','
			else:
				LigneTraduite=proposition
			_LigneTraduite+=LigneTraduite
		return _LigneTraduite[0:-1]
	
	def Traduit(self,LigneATraduire):# Traduit une ligne
		Tprint('-** init br_Cdictionnaire.Traduit une ligne')
		#LigneATraduire=' '+LigneATraduire.lower()+' ' # on rajoute 2 espaces
		#LigneATraduire=self.ApostropheS(LigneATraduire)
		LigneATraduire=self.TraduitFormules(LigneATraduire)
		#propositions=LigneATraduire.split(',')
		propositions=[LigneATraduire]
		_LigneTraduite=''
		
		for proposition in propositions:
			LigneTraduite=proposition
			LigneTraduite=self.PrepareLigne(LigneTraduite)			
			LigneTraduite=self.PremieresTraductions(LigneTraduite)
			
			LigneTraduite=self.Traduit43(LigneTraduite)
			
			if LigneTraduite!=False:
				#print('--a',LigneTraduite)
				LigneTraduite=self.DernieresTraductions(LigneTraduite)
				LigneTraduite=LigneTraduite+','
				#print('--r',LigneTraduite)
			else:
				LigneTraduite=proposition
			_LigneTraduite+=LigneTraduite
		#print('--t',_LigneTraduite)	
		return _LigneTraduite[0:-1]
		
	
	def TraduitUnFichier(self,fichier):
		self._FichierTraduit=''
		if os.path.isfile(fichier):
			f=open(fichier,'r')
			for line in f:
				'''
				if self._tesseract==True:
					self._FichierTraduit+=self.Traduit(line)
				#TraduitUnFichierPrint(line)
				if self._tesseract==False:
					self._FichierTraduit+=self.Traduit(self.Tesseract(line))
				'''
				self._FichierTraduit+=self.Traduit(line)
			f.close()	
		return self._FichierTraduit
		

		
		

######################### COEUR DE LA TRADUCTION ########################	
	def Traduit43(self,LigneATraduire): #COEUR DE LA TRADUCTION
		Tprint('-** init br_Cdictionnaire.Traduit43') 
		def eprint(phrase):
			return TradPrint(phrase)
			"""
			if True==False:
				print(phrase)
			"""	
		_TraductionFaite=False # au cas ou tous les mots traduits sont identiques en fr et us 
		LigneTraduite=' '+LigneATraduire.lower()+' ' # on rajoute 2 espaces V4.1
		
		for mots in self.trans:
			if mots[0] in LigneTraduite:	
							
				#TradPrint(LigneTraduite,mots[0])
				Initiales=[]	
				if mots[0]==mots[1]:
					_TraductionFaite=True 
				
				if mots[0] in LigneATraduire: #minuscules
					MotTraduit=mots[1]
				else:
					MotTraduit=mots[1][0].upper()+mots[1][1:]	
				
				####################################### !!!!!!!!!!
				#sur ces deux lignes il faudrait mettre les lettres accentues	
				#print('1LigneTraduite',LigneTraduite,mots,'==')	
				LigneTraduite=re.sub("([^a-zA-Z])("+mots[0]+")([^a-zA-Z])",'\g<1>'+MotTraduit+'\g<3>',LigneTraduite)
				#print('2LigneTraduite',LigneTraduite,mots,'==')	
				LigneTraduite=re.sub("([^a-zA-Z])("+mots[0]+"s)([^a-zA-Z])",'\g<1>'+MotTraduit+'s\g<3>',LigneTraduite)
				#print('3LigneTraduite',LigneTraduite,mots,'==')	
				
				#TradPrint(LigneTraduite)
		LigneTraduite=self.DernieresTraductions(LigneTraduite)
		LigneTraduite=LigneTraduite[1:-1] # on enleve les 2 espaces
		#print('4LigneTraduite',LigneTraduite,mots,'==')	
		if _TraductionFaite==True or LigneTraduite!=LigneATraduire.lower():
			if LigneATraduire[0].isupper():
				LigneTraduite=LigneTraduite[0].upper()+LigneTraduite[1:]
			Initiales=re.sub("([^a-zA-Z])([a-zA-Z])[a-zA-Z]*([^a-zA-Z])","\g<1>\g<2>\g<3>",		re.sub("([a-zA-Z]) ","\g<1>  "," "+LigneATraduire+" "))#rajout d'un espace
			return LigneTraduite
		else:
			return False

class br_CDICO(dict):
	  def __missing__(self, key):
		  return ""

if __name__=='__main__':
	dico=br_Cdictionnaire(False)
	#dico.DicoAdditionnel('dico_additionnel.txt')
	dico.CreeDictionnaire()
	
	
	dico._tesseract=False #ne marche pas
	#print(dico.Traduit('Just as one can "descend" from general relativity to linearized theory by linearizing about flat spacetime (see below), so one can "bootstrap" one\'s ways back up from linearized theory to general relativity by imposing consistency between the linearized field equations and the equations of motion'))
	dico.TraduitUnFichier("fichieratraduire")
	#print(dico.TraduitUnFichier("LIVRES/Zola-JAccuse-en.txt"))
	
	fich='/tmp/poub'
	print('cration du fichier '+fich)
	f=open(fich,'w')
	print(dico._FichierTraduit,file=f)
	f.close()
	
	#print(dico.Traduit(' way '))
	
	#dico.ChercheUnMot('preserve',False)
	
	print( '################################')
	dico.ChercheUnMot('duration',True)
	
	
	'''
	########## fichier ENG#FR
	f1=open("fichieratraduire",'r')
	f2=open(fich,'r')
	l1=l2=lignes=[]
	for line in f1:
		l1.append(line)
	for line in f2:
		l2.append(line)
	print(len(l1),len(l2))
	g=open('/tmp/cc','w')
	for i in range(829):
		tmp=l1[i]+'#'+l2[i]
		#lignes.append(l1[i]+'#'+l2[i])
		print(tmp,file=g)	
	'''	

	
	#print([i for i in dico.trans if 'Theorem' in i])
	exit()

'''
a faire
by +ing

'''
