from __future__ import print_function
#!/usr/bin/python3
# -*- coding: utf-8 -*-

_FonctionDuProgramme="Classe accédant au contenu des fichiers\n\
CFichierContenu().OuvreFichier\n\
CFichierContenu().Lignes\n\
CFichierContenu().FermeFichier\n\
CFichierContenu().TrouveIntervalle\n\
CFichierContenu().EcritFichier\n"
#print(_FonctionDuProgramme)
_Version="1.0.1"
#print("version:"+_Version)
import re
import os
##################### debug
import sys

_debug_Titres=True # 
_debug_Titres=False

_debug_Log=True #
_debug_Log=False

_debug_all=True # 
_debug_all=False

if _debug_all==True:
	_debug_Titres=True
	_debug_Log=True

if _debug_Titres==True:
	_FichierLog='/tmp/'+sys.argv[0]+'.log'
	_Log=open(_FichierLog,'w')

def Tprint(*args, **kwargs):
	if _debug_Titres==True:
		print(*args, **kwargs)					
		print(*args,file=_Log)
#def Dprint(ligne):
def Dprint(*args, **kwargs):	
	if _debug_all==True:
		print(*args, **kwargs)
		print('--------------------------')
# # # # # # # # # # # # # # # # # # # debug

class br_CDICO(dict):
	  def __missing__(self, key):
		  return ""


import CFichiersRepertoires
from CFichiersRepertoires import CFichiersRepertoires,CFichiers

class CFichierContenu(object):
	""" CLASSE CFichierContenu(CFichiers(str(nom))) : contenu d'un fichier fichier """
	
	def __init__(self,fich=''):
		Tprint('-* CFichierContenu.__init__(fich)')		
		self._fich=CFichiers(fich)
		self.OuvreFichier()
		self._Lignes=None
		self._f=None
		pass	
		
	def OuvreFichier(self):
		Tprint('-* CFichierContenu.OuvreFichier')
		try:
			self._f=open(self._fich._fich,'r')
		except:
			print(self._fich._fich+' : impossible d\'ouvrir le fichier')
			exit(0)
			
	def Lignes(self):
		Tprint('-* CFichierContenu.Texte')
		self._Lignes=[]
		if self._f==None:
			self.OuvreFichier()
		for ligne in self._f:
			self._Lignes.append(ligne)		
		return self._Lignes
		
	def FermeFichier(self):	
		Tprint('-* CFichierContenu.FermeFichier')
		try:
			self._f.close()
		except:
			pass	
		self._f=None
		
	def TrouveIntervalle(self,debut="A",fin="Z",NbMaxIntervalles=1): #ne prend pas en compte "FIn Debut Fin Debut" dans la lmême ligne
		""" ressort [['begin{document}',''kl','lkmlk','end{document}']] """
		Tprint('-* CFichierContenu.TrouveIntervalle')
		if self._Lignes==None:
			self.Lignes()
		
		self.Entete=""
		self.Dechets=""
		self.Corps=""	
			
		NbIntervalles=0
		Intervalles=[]
		Intervalle=[]
		# POSITIONS : 0=(recherche debut) [debut 1=(recherche fin) fin ]     2 ...
		POSITION=0
		for ligne in self._Lignes:
			tmp=ligne
			Dprint('=========================================')
			#Dprint("lignes,Intervalles = ",self._Lignes,Intervalles)
			Dprint("ligne,POSITION = ",ligne,POSITION)
			if debut in tmp or fin in tmp:
				while (debut in tmp and POSITION % 2 == 0 ) or (fin in tmp and POSITION % 2 == 1) and (NbIntervalles<NbMaxIntervalles):
					Dprint("1 tmp",POSITION,tmp)
					if POSITION % 2 == 0:					
						while (debut in tmp)and (NbIntervalles<NbMaxIntervalles):
							if fin not in tmp :							
								Intervalle+=[re.sub(".*"+debut,debut,tmp)]
								tmp=re.sub(".*"+debut,"",tmp)
								POSITION+=1
								Dprint("2 tmp",POSITION,tmp)
							if fin in tmp :							
								exit(157)
								Intervalle+=[re.sub(fin+".*",fin,re.sub(".*"+debut,debut,tmp))]
								tmp=re.sub(".*"+debut,"",tmp)
								Intervalles+=[Intervalle]
								NbIntervalles+=1
								Dprint("4 tmp",POSITION,tmp)
								Intervalle=[]
								POSITION+=2
						Dprint("6 tmp",POSITION,tmp)			
					else: #POSITION % 2 == 1:					
						while (fin in tmp)and (NbIntervalles<NbMaxIntervalles):
							Dprint("zz"+tmp+"zz")
							NbIntervalles+=1	
							if debut not in tmp :
								Dprint("bb"+tmp+"bb")	
								Intervalle+=[re.sub(fin+".*",fin,tmp)]
								tmp=re.sub(".*"+fin,"",tmp)
								Intervalles+=[Intervalle]
								Intervalle=[]
								POSITION+=1
								Dprint("3 tmp",POSITION,tmp)
							if debut in tmp :
								Dprint("aa"+tmp+"aa")	
								Intervalle+=[re.sub(fin+".*",fin,tmp)]
								Intervalles+=[Intervalle]
								Dprint(Intervalle)
								Intervalle=[]						
								Intervalle=[re.sub(".*"+debut,debut,tmp)]
								tmp=re.sub(".*"+debut,"",tmp)
								POSITION+=2
								Dprint("5 tmp",POSITION,tmp)
							Dprint("7 tmp",tmp)			
			else:
				if POSITION % 2 == 1:
					Intervalle+=[tmp]
					Dprint("9 tmp",POSITION,tmp)
			if POSITION == 0:
					self.Entete+=tmp	
			if POSITION == 2:
					self.Dechets+=tmp	
		self.Corps=""			
		for t in Intervalle:
			self.Corps+=t
						
		"""				
		n=0				
		for I in Intervalles:
			print("=============================")
			print(n)
			n+=1
			print(I)
		"""	
		self._Intervalles=Intervalles
		return self._Intervalles

	def EcritFichier(self,StrFich,Contenu):
		""" écrire le fichier """
		Tprint('-* CFichierContenu.EcritFichier')
		f=open(StrFich,'w')
		Dprint(type(f))
		if isinstance(Contenu,str):
			print(Contenu,file=f)
			
		if isinstance(Contenu,list):
			for C in Contenu:
				print(C,file=f)
		f.close()
		
"""
		
import mysql,datetime
import mysql.connector



cnx = mysql.connector.connect(user='ProtonsEtNeutron', password='feclDW0DenfKSHsd',host='127.0.0.1',database='ProtonsEtNeutron')
cursor = cnx.cursor()
#query = ("SELECT first_name, last_name, hire_date FROM employees "    "WHERE hire_date BETWEEN %s AND %s")
temp="SELECT * FROM `objets` ORDER BY id"
cursor.execute(temp)

Rep_pt=

for (rid) in cursor:
	ligne=(list(rid))
	print ( str(ligne[0]) )
	print(ligne)


"""



global main

if __name__ == "__main__":
	Dprint("Le programme lancé est "+sys.argv[0])
	
	print(_FonctionDuProgramme)
	print("version:"+_Version)
	
	fich=CFichierContenu("/tmp/a.tex")
	fich.Lignes()
	#print('ppp',fich._Lignes)
	fich.TrouveIntervalle("begin{document}","end{document}")		
	fich.FermeFichier()
	
	fich.EcritFichier('/tmp/ee',fich._Intervalles[0])
	#print('/tmp/ee',fich._Intervalles[0][0])
	
	#print("ooo",fich._Lignes)
	sys.exit()

'''
	print('import CFichiersRepertoires')
	print('from CFichiersRepertoires import CFichiersRepertoires,CFichiers')
	print('fich=CFichiers(nomfich)')
	print('  fich._SEP')
	print('  fich._fich , fich.Valide() , fich.RepNom() ,	fich.FichNom() , FichExt  .FichAvantExt')
	print('rep=CFichiers(nomrep)')
	print('  rep._SEP , rep.Contenu() ')
	print('  rep._rep , rep.Valide() , rep.RepNom() ,	rep.FichNom() self.FichAvantExt')
	
	print('Ext=CExtensions()')
	print("		Ext._Images=['jpg','jpeg','png','gif','tif','tiff','xcf','psd'] \n\
		Ext._Pdf=self._Ps=['pdf','ps'] \n\
		Ext._Videos=self._Ps=['avi','mov','mpg','mpeg','flv','mp4','ogg','webm'] \n\
		Ext._Programmation=['py','c','cpp','pyc'] \n\
		rep.ChercheFichierAvecNom(['s-mathematiques-obligatoire-2016-metropole-suj','/ES'],PasDeCasse=False,Operation='OR')\n\
		")
	rep=CRepertoires('/tmp/ANNALES')
	#rep.ChercheFichierAvecExtension('pdf')
	rep.ChercheFichiersAvecNom(['s-mathematiques-obligatoire-2016-metropole-suj','/ES'],PasDeCasse=False,Operation="AND")
	print([f._fich for f in rep._recherche])
	
	
	
	
	
	
	nom='/tmp/aa/bb/cc/dd/ee/ff/gg/bb.jpg'
	a=CFichiers(nom)
	print("CFichiers("+nom+")._FichExt = "+a._FichExt)
	
	
	
	print("CFichiers("+nom+").FichRelativisee('/tmp/aa/bb') = "+CFichiers(nom).FichRelativisee("/tmp/aa/bb"))
	
	
	print(a.__doc__)
'''	
	


