from __future__ import print_function
# -*- coding: utf-8 -*-
_Version="1.2"

# V1.2 : on elve les donnesrelles8 ou 16 
# V1.1 corrections erreurs sur mono + ExtraitSonDesFrequences
# V1.0.1  : frequence sur soi sans copie ; plus de _Log.close()	
_FonctionDuProgramme="Classe Analyse de sons : "+_Version
print(_FonctionDuProgramme)
'''
#on commecne par créer un son son=CSons()

# 3 méthodes pour faire un son : seul wav est implémenté
def Importe(self,fich="",typeuh='wav'):
def CreeSon(self,cano=1|1,octets=2,Fe=44100,t=10.0):
def Copie(self,t1=0.0,t2=None):return _son

#save  seul wav est implémenté
def Exporte(self,fich="",typeuh='wav'):

# transformé de fourier
def ExtraitFrequencesDuSon(self,t1=0.0,t2=None,Cotee="gauche|droite"):
	self._FrequencesPositives,self._amplitudes ( ne prend qu'un canal a la fois)
def ExtraitSonDesFrequences(self,t1,t2):non impélmenté

#affichage en graphique
def AfficheGraphique(self,typeux='X|freq',cotee='gauche|droite'):


'''

#self._DonneesReelles contient les données réelles (nombres complexes ) soient [gauche,droite] soit mono 

from scipy import fftpack
from scipy.fftpack import fft,ifft

import re
##################### debug
import sys

_debug_Titres=True #_debug_Titres=False
_debug=True 
_debug=False

_debug_all=True # 
_debug_all=False



if _debug_all==True:
	_debug_Titres=True
	_debug=True

if _debug_Titres==True:
	_FichierLog='/tmp/'+sys.argv[0]+'.log'
	_Log=open(_FichierLog,'w')

def Tprint(*args, **kwargs):
	if _debug_Titres==True:
		print(*args, **kwargs)					
		Lprint(*args)
def Lprint(*args, **kwargs):
	print(*args,file=_Log)

def bprint			(*args):
	if _debug==True:
		print	(*args)
		
def cprint(*args):
	pass
	
def fprint(*args):
	print(*args)
		
def dprint(ligne):
	if _debug==True:
		print(ligne)
		print('--------------------------')
# # # # # # # # # # # # # # # # # # # debug

class br_CDICO(dict):
	  def __missing__(self, key):
		  return ""

class CProjetDePo(object):
	def __init__(self,_rep=''):
		self._repertoire=_rep





	

	

import math
import numpy as np
import wave


def S16b2Valeur(B16):
	faible,fort = B16
	def num(nb):#-128 a 127
		return ( (nb<=127)*nb+(nb>127)*(nb-256) )
	return (num(fort)*256+faible	)/32768.0
	
	#10,40 =>(  40 * 256 + 10 )/ 32768 = 40 / 128 + 10 / 32768
	#10,250 => ( -6 * 256 + 10 )/32768 = -6 / 128 +10 /32768
	
def S8b2Valeur(B8):	# S8b2Valeur(B8) = 	( (nb<=127)*nb+(nb>127)*(nb-256) ) / 128.0 
	def num(nb):#-128 a 127
		return ( (nb<=127)*nb+(nb>127)*(nb-256) )
	return num(B8)/128.0
	
	#10,40 =>(  40 * 256 + 10 )/ 32768 = 40 / 128 + 10 / 32768
	#10,250 => ( -6 * 256 + 10 )/32768 = -6 / 128 +10 /32768	
	
	
def Valeur2S16b(nb):# -1.0 a 1.0  V = (num(fort)*256+faible	)/(128*256)
	if nb>=0:  # V = (fort+faible/256)/128
		fort=int(nb * 128.0) #40 
		faible=int( (nb-fort/128.0)*32768.0 )
	else:#V = (fort-256+faible/256)/128
		fort=int((nb*128.0+256)) #250
		faible=int( ( nb*128.0 -(fort-256) )*256.0)
	return [faible,fort]
	
def Valeur2S8b(nb):# -1.0 a 1.0  128*nb   +0 // +256
	if nb>=0:
		return int(128.0*nb)		
	else:
		return int(128.0*nb+256.0)
	

class CSons(object):	
	def __init__(self):
		Tprint("-*** __init__")
		self.INIT()
		
	def INIT(self):
		Tprint("-*** INIT")
		self._params=None
		self._nchannels=self._sampwidth=self._framerate=self._nframes=self._comptype=self._compname=None
		self._duree=self._frequence_echantillonnage=None
		self._DonneesStringOfBytes=None # <class 'bytes'> ensemble de int
		#self._DonneesReelles8=self._DonneesReelles8Gauche=self._DonneesReelles8Droite=[]# ensemble de reels entre -1 et 1
		#self._DonneesReelles16=self._DonneesReelles16Gauche=self._DonneesReelles16Droite=[]# ensemble de reels entre -1 et 1
		self._DonneesReellesGauche=self._DonneesReellesDroite=[]
		self._DonneesReelles=[]
		self._fourier = self._FrequencesPositives = self._amplitudes = None
		
		
		
	def Parametres(self,ONDE):
		Tprint("-*** Parametres")
		self._params=[i for i in ONDE.getparams()]
		self.CalculParams()
		return self._params
		
	def CalculParams(self):
		Tprint("-*** CalculParams")
		print(self._params)
		self._nchannels,self._sampwidth,self._framerate,self._nframes,self._comptype,self._compname = self._params
		self._frequence_echantillonnage = self._framerate*1.0 #44100,48000...		
		N , fe = self._nframes , self._frequence_echantillonnage
		self._duree=1.0*N/fe		

	def LitParams(self,fich=''):
		Tprint("-*** LitParams")
		if fich=='':
			return None
		else:
			ONDE=wave.open(fich,"r")
			self._params=self.Parametres(ONDE) #(nchannels, sampwidth, framerate, nframes, comptype, compname)
			#print(self._params)
			ONDE.close()
			pass
				
				
				
							
			
	def zzzCoupe(self,t1,t2): #existe dans copie
		Tprint("-*** Coupe")
		cano  = self._nchannels		
		N , fe = self._nframes , self._frequence_echantillonnage
		octets=self._sampwidth
		self._duree=1.0*N/fe
		bprint(cano,N)
		if t2==None:
			t2=self._duree			
		N1,N2=int(t1*fe),int(t2*fe)
		bprint(N1,N2)
		tmp=br_CDICO({'gauche': 0 , 'droite': 1})


		#self._DonneesReelles8=self._DonneesReelles8Gauche=self._DonneesReelles8Droite=[]# ensemble de reels entre -1 et 1
		#self._DonneesReelles16=self._DonneesReelles16Gauche=self._DonneesReelles16Droite=[]# ensemble de reels entre -1 et 1
		
		if cano==1:			
			self._DonneesReelles=self._DonneesReelles[N1:N2]
			self._nframes=len(self._DonneesReelles)
			'''
			if octets==1:
				self._DonneesReelles8=self._DonneesReelles
			if octets==2:
				self._DonneesReelles16=self._DonneesReelles
			'''	
		if cano==2:	
			self._DonneesReellesGauche=self._DonneesReelles[0][N1:N2]
			self._DonneesReellesDroite=self._DonneesReelles[1][N1:N2]
			self._DonneesReelles=[self._DonneesReellesGauche,self._DonneesReellesDroite]
			self._nframes=len(self._DonneesReelles[0])
			'''
			if octets==1:
				self._DonneesReelles8Gauche=self._DonneesReelles[0]
				self._DonneesReelles8Droite=self._DonneesReelles[1]
				self._DonneesReelles8=[self._DonneesReelles8Gauche,self._DonneesReelles8Droite]
			if octets==2:
				self._DonneesReelles16Gauche=self._DonneesReelles[0]
				self._DonneesReelles16Droite=self._DonneesReelles[1]
				self._DonneesReelles16=[self._DonneesReelles16Gauche,self._DonneesReelles16Droite]			
			'''
		N = self._params[3]=self._nframes 
		self._duree = 1.0*N/fe
		self._DonneesStringOfBytes=None 
		self._fourier = self._FrequencesPositives = self._amplitudes = None
		
	
		
		
		self.DonneesReelles2S()
		
		pass	
	

		
	def S2DonneesReelles(self):
		Tprint("-*** S2DonneesReelles")
		s , N ,cano  = self._DonneesStringOfBytes , self._nframes , self._nchannels
		cprint("len(s)",len(s))
		octets=self._sampwidth
		#self._DonneesReelles8=self._DonneesReelles8Gauche=self._DonneesReelles8Droite=[]# ensemble de reels entre -1 et 1
		#self._DonneesReelles16=self._DonneesReelles16Gauche=self._DonneesReelles16Droite=[]# ensemble de reels entre -1 et 1
		self._DonneesReellesGauche=self._DonneesReellesDroite=[]
		self._DonneesReelles=[]
		"""V1.1
		if octets==1:
			if cano==1:
				self._DonneesReelles=self._DonneesReelles8=[S8b2Valeur(s[i]) for i in range(0,cano*N*octets,cano*octets)]
			if cano==2:
				self._DonneesReellesGauche=self._DonneesReelles8Gauche=[S8b2Valeur(s[i]) for i in range(0,cano*N*octets,cano*octets)]
				self._DonneesReellesDroite=self._DonneesReelles8Droite=[S8b2Valeur(s[i]) for i in range(octets,cano*N*octets,cano*octets)]
				self._DonneesReelles=self._DonneesReelles8=[self._DonneesReelles8Gauche,self._DonneesReelles8Droite]
		if octets==2:
			if cano==1:
				self._DonneesReelles=self._DonneesReelles16=[S16b2Valeur([s[i],s[i+1]]) for i in range(0,cano*N*octets,cano*octets)]
			if cano==2:
				self._DonneesReellesGauche=self._DonneesReelles16Gauche=[S16b2Valeur([s[i],s[i+1]]) for i in range(0,cano*N*octets,cano*octets)]
				self._DonneesReellesDroite=self._DonneesReelles16Droite=[S16b2Valeur([s[i],s[i+1]]) for i in range(octets,cano*N*octets,cano*octets)]
				self._DonneesReelles=self._DonneesReelles16=[self._DonneesReelles16Gauche,self._DonneesReelles16Droite]			
		"""
		if octets==1:
			if cano==1:
				self._DonneesReelles=[S8b2Valeur(s[i]) for i in range(0,cano*N*octets,cano*octets)]
			if cano==2:
				self._DonneesReellesGauche=[S8b2Valeur(s[i]) for i in range(0,cano*N*octets,cano*octets)]
				self._DonneesReellesDroite=[S8b2Valeur(s[i]) for i in range(octets,cano*N*octets,cano*octets)]
				self._DonneesReelles=[self._DonneesReellesGauche,self._DonneesReellesDroite]
		if octets==2:
			if cano==1:
				self._DonneesReelles=[S16b2Valeur([s[i],s[i+1]]) for i in range(0,cano*N*octets,cano*octets)]
			if cano==2:
				self._DonneesReellesGauche=[S16b2Valeur([s[i],s[i+1]]) for i in range(0,cano*N*octets,cano*octets)]
				self._DonneesReellesDroite=[S16b2Valeur([s[i],s[i+1]]) for i in range(octets,cano*N*octets,cano*octets)]
				self._DonneesReelles=[self._DonneesReellesGauche,self._DonneesReellesDroite]					
		
		pass
		
	def DonneesReelles2S(self): #V1.2
		Tprint("-*** DonneesReelles2S")		
		
		s , N ,cano  = self._DonneesStringOfBytes , self._nframes , self._nchannels
		octets=self._sampwidth

		tmp=[]
		
		if octets==1:
			if cano==1:
				for i in range(N):
					tmp+=Valeur2S16b(self._DonneesReelles[i])
			if cano==2:
				for i in range(N):
					tmp+=Valeur2S16b(self._DonneesReellesGauche[i])+Valeur2S16b(self._DonneesReellesDroite[i])
		if octets==2:
			if cano==1:
				for i in range(N):
					tmp+=Valeur2S16b(self._DonneesReelles[i])
			if cano==2:
				for i in range(N):
					bprint("i=",i)
					bprint(self._DonneesReellesGauche[i])
					bprint(self._DonneesReellesDroite[i])
					tmp+=Valeur2S16b(self._DonneesReellesGauche[i])+Valeur2S16b(self._DonneesReellesDroite[i])
		print("len(tmp)",len(tmp))
		self._DonneesStringOfBytes=bytes(tmp)					
		pass
		






	def ImporteWav(self,fich=''):
		Tprint("-*** ImporteWav")
		self.INIT()
		ONDE=wave.open(fich,"r")
		self._params=self.Parametres(ONDE) #(nchannels, sampwidth, framerate, nframes, comptype, compname)
		self._DonneesStringOfBytes=ONDE.readframes(self._nframes) #    Reads and returns at most n frames of audio, as a string of bytes.
		ONDE.close()
		self.S2DonneesReelles()		
		
	def ImporteSon(self,fich=""):
		Tprint("-*** ImporteSon")
		pass
		
	def ExporteWav(self,fich=""):
		Tprint("-*** ExporteWav")
		ONDE=wave.open(fich,"w")
		_params=tuple((self._nchannels,self._sampwidth,self._framerate,self._nframes,self._comptype,self._compname))
		ONDE.setparams(_params)
		ONDE.writeframes(self._DonneesStringOfBytes)			
		ONDE.close()
		pass

	def ExporteSon(self,fich=""):
		Tprint("-*** ExporteSon")
		FichTmp='/tmp/CWAVE_'+str(random.randint(1000000))
		a=self.ExporteWav(d,FichTmp)
		
	def Importe(self,fich="",typeuh='wav'):
		Tprint("-*** Importe")
		if typeuh=='wav':
			self.ImporteWav(fich)
	def Exporte(self,fich="",typeuh='wav'):
		Tprint("-*** Exporte")
		if typeuh=='wav':
			self.ExporteWav(fich)
		
		
		
		
		
	def CreeSon(self,cano=1,octets=2,Fe=44100,t=10.0):
		Tprint("-*** CreeSon")
		self.INIT()
		self._params=[cano,octets,Fe,int(t*Fe),'NONE','not compressed']
		self.CalculParams()

		if octets==1:
			if cano==1:
				self._DonneesReelles=self._DonneesReelles8=[0.0 for i in range(0,cano*N,cano*octets)]
			if cano==2:
				self._DonneesReellesGauche=self._DonneesReelles8Gauche=[0.0 for i in range(0,cano*N,cano*octets)]
				self._DonneesReellesDroite=self._DonneesReelles8Droite=[0.0 for i in range(octets,cano*N,cano*octets)]
				self._DonneesReelles=self._DonneesReelles8=[self._DonneesReelles8Gauche,self._DonneesReelles8Droite]
		if octets==2:
			if cano==1:
				self._DonneesReelles=self._DonneesReelles16=[0.0 for i in range(0,cano*N,cano*octets)]
			if cano==2:
				self._DonneesReellesGauche=self._DonneesReelles16Gauche=[0.0 for i in range(0,cano*N,cano*octets)]
				self._DonneesReellesDroite=self._DonneesReelles16Droite=[0.0 for i in range(octets,cano*N,cano*octets)]
				self._DonneesReelles=self._DonneesReelles16=[self._DonneesReelles16Gauche,self._DonneesReelles16Droite]			

		
		
		
	def CreeSon16bMono(self,Fe=44100,t=10.0):
		Tprint("-*** CreeSon16bMono")
		self.Creeson(1,2,Fe,t)
	def CreeSon16bStereo(self,Fe=44100,t=10.0):
		Tprint("-*** CreeSon16bStereo")
		self.CreeSon(2,2,Fe,t)
		
		
		
		
	def ExtraitFrequencesDuSon(self,t1=0.0,t2=None,Cotee="gauche"):
		Tprint("-*** ExtraitFrequencesDuSon")
		N   = self._nframes 		
		fe = self._frequence_echantillonnage		
		self._duree=1.0*N/fe
		
		tmp=br_CDICO({'gauche': 0 , 'droite': 1})
		
		if t1==0.0 and t2==None:		
			N , cano  = self._nframes , self._nchannels			
			if cano==1:
				X=self._DonneesReelles
			if cano==2:	
				X=self._DonneesReelles[tmp[Cotee]]
			self._fourier = fft(X)
			self._FrequencesPositives,self._amplitudes=[np.linspace(0.0, 1.0/(2.0/fe), N//2) , 2.0/N * np.abs(self._fourier[0:N//2])]		
			return self# return True
		else:
			if t2==None:
				t2=self._duree			
			#N1,N2=int(t1*fe),int(t2*fe)
			
			son=self.Copie(t1,t2)				
			cprint(len(son._DonneesStringOfBytes),len(self._DonneesStringOfBytes))			
			N , cano  = son._nframes , son._nchannels			
			if cano==1:
				X=son._DonneesReelles
			if cano==2:	
				X=son._DonneesReelles[tmp[Cotee]]
			
			son._fourier = fft(X)
			cprint("N,len(X)",N,len(X))			
			son._FrequencesPositives,son._amplitudes=[np.linspace(0.0, 1.0/(2.0/fe), N//2) , 2.0/N * np.abs(son._fourier[0:N//2])]		
			#son._FrequencesPositives,son._amplitudes=[np.linspace(0.0, 1.0/(2.0/fe), N//2) , 2.0/N * np.abs(son._fourier[0:N//2])]		
			return son		
				
				
	def zzzExtraitFrequencesDuSon0(self,t1=0.0,t2=None,Cotee="gauche"):
		'''
		Tprint("-*** ExtraitFrequencesDuSon")
		
		son=self.Copie()
		
		N ,cano  = self._nframes , self._nchannels
		octets=self._sampwidth
		fe = self._frequence_echantillonnage
		
		self._duree=1.0*N/fe

		if t2==None:
			t2=self._duree			
		N1,N2=int(t1*fe),int(t2*fe)
					
		tmp=br_CDICO({'gauche': 0 , 'droite': 1})
		if cano==1:
			X=self._DonneesReelles[N1:N2]
		if cano==2:	
			X=self._DonneesReelles[tmp[Cotee]][N1:N2]
		N12=len(X)
		print("N2-N1,N12",N2-N1,N12)
		#X=self._DonneesReelles16[N1:N2]
		self._fourier = fft(X)			
		self._FrequencesPositives,self._amplitudes=[np.linspace(0.0, 1.0/(2.0/fe), N12//2) , 2.0/N12 * np.abs(self._fourier[0:N12//2])]
		'''
		pass			
			
			
			
			
				

		
	def ExtraitSonDesFrequences(self):
		Tprint("-*** ExtraitSonDesFrequences")
		
		fe = self._frequence_echantillonnage		
		
		tmp=br_CDICO({'gauche': 0 , 'droite': 1})
		
		N , cano  = self._nframes , self._nchannels			
		if cano==1:
			self._DonneesReelles=ifft(self._fourier)
			cprint(self._DonneesReelles[0:100])
		if cano==2:	
			self._DonneesReellesGauche=self._DonneesReellesDroite=ifft(self._fourier)
			self._DonneesReelles=[self._DonneesReellesGauche,self._DonneesReellesDroite]
			
			
		self.DonneesReelles2S()
		return True
	
		
		
		
		
		
		exit()
		'''
		if self.nchannels==1:	
			N , fe = self.nframes , self.frequence_echantillonnage
			self.duree=1.0*N/fe
			if t2==None:
				t2=self.duree			
			N1,N2=int(t1/fe),int(t2/fe)		
			X=self.DonneesReelles16[N1:N2]
			fourier = fft(X)			
			FrequencesPositives
		'''	
		pass

	def Copie(self,t1=0.0,t2=None):
		Tprint("-*** Copie")
		
		N ,cano  = self._nframes , self._nchannels
		octets=self._sampwidth		
		fe = self._frequence_echantillonnage		
		self._duree=1.0*N/fe
		cprint("self._duree",self._duree)
		if t2==None:
			t2=self._duree			
		N1,N2=int(t1*fe),int(t2*fe)
		cprint("N1,N2",N1,N2)
		_son=CSons()
		_son._params=[i for i in self._params]
		_son._DonneesStringOfBytes=self._DonneesStringOfBytes[octets*cano*N1:octets*cano*N2] #?? manque octets*cano octets ?
		_son._params[3]=int( len(_son._DonneesStringOfBytes)/(octets*cano) ) 
		cprint("_son._DonneesStringOfBytes)/(octets*cano)",len(_son._DonneesStringOfBytes)/(octets*cano))
		_son.CalculParams()
		cprint("len(_son._DonneesStringOfBytes)",len(_son._DonneesStringOfBytes))
		_son.S2DonneesReelles()
		return _son

	def AfficheGraphique(self,typeux='X',cotee='gauche',show=True): # typeux='freq') 
		
		N , fe , cano = self._nframes , self._frequence_echantillonnage , self._nchannels
		if typeux=='X':
			tmp=br_CDICO({'gauche': 0 , 'droite': 1})
			
			plt.figure()
			plt.subplot(121)
			
			if cano==1:
				yf=self._DonneesReelles
			if cano==2:	
				yf=self._DonneesReelles[tmp[cotee]]
				cprint("cano",cano)
			xf=np.linspace(0.0, N/fe, N )
			plt.plot(xf, yf)#[0:len(xf)]
			plt.grid()
			
			
			plt.savefig('/tmp/a.jpg')
			
		if typeux=='freq':			
			plt.figure()
			plt.subplot(121)
			xf=self._FrequencesPositives
			yf=self._amplitudes
			plt.plot(xf, np.abs(yf[0:len(xf)]))
			plt.grid()
		
		if show==True:
			plt.show()
		
		
		
import matplotlib.pyplot as plt
	
def main():
	pass
if __name__ == "__main__":
	print("======",sys.argv)
	son=CSons()
	rep="br_CLASSE_wave_OBJETS/"
	fich=rep+'La java des bons enfants-16b-mono.wav'
	
	fich=rep+"16b-stereo-5s.wav"
	
	son.LitParams(fich)
	#"/tmp/aa/La java des bons enfants-16b.wav"
	#fich="/tmp/aa/b.wav"
	son.ImporteWav(fich)
	#son.Coupe(1.0,2.0)
	#son.ExporteWav(rep+'poub.wav')
	#son.ExporteWav(rep+'poub.wav')
	#son.EcrisWav(fich)
	
	NewSon=son.ExtraitFrequencesDuSon(Cotee="droite")
	
	
	
	N ,cano  = son._nframes , NewSon._nchannels
	octets=son._sampwidth
	fe = son._frequence_echantillonnage
	"""
	X=son._DonneesReelles[1]
	fourier = fft(X)
	yf=fourier
	
	
	X=son._FrequencesPositives
	yf=son._amplitudes
	
	for i in range(len(X)):
		if abs(yf[i]) > 0.5:
			print(i,X[i])
	
	xf = np.linspace(0.0, 1.0/(2.0/fe), len(X))	
	import matplotlib.pyplot as plt
	plt.plot(xf, np.abs(yf[0:len(X)]))
	plt.grid()

	"""
	son.AfficheGraphique(typeux='X',cotee='gauche')
	NewSon.AfficheGraphique(typeux='X',cotee='gauche')
	#print(son._DonneesReelles[0:50])
	exit()
	
	xf=NewSon._FrequencesPositives
	yf=NewSon._amplitudes
	plt.plot(xf, np.abs(yf[0:len(xf)]))
	plt.grid()
	plt.show()
	'''
	X=son._DonneesReelles[1][0:10000]
	N=len(X)
	fourier = fft(X)
	yf=fourier
	xf = np.linspace(0.0, 1.0/(2.0/fe), N//2)
	print(len(xf),'xf')
	
	plt.plot(xf, 2.0/N * np.abs(yf[0:N//2]))
	plt.grid()
	'''
	

"""




#https://docs.python.org/2/library/wave.html
import wave
f=wave.open('guitare16b.wav','r')
print(f.getparams())
_params=f.getparams()
#(nchannels, sampwidth, framerate, nframes, comptype, compname)
s=f.readframes(_params[3])

s:poids faible : poids fort 

si 8bits/channel : 255..128,0..127  -> [-1.0,1.0]


g=wave.open('out.wav','w')
g.setparams((1, 2, 44100, 18, 'NONE', 'not compressed'))
g.writeframesraw(s)
g.close()





si 16bits/channel : faible,fort  0,127..255,127...255,255 0,0...255,127 -> [-1.0,1.0]

def S16b2Valeur(B16):
	faible,fort = B16
	def num(nb):#-128 a 127
		return ( (nb<=127)*nb+(nb>127)*(nb-256) )
	return (num(fort)*256+faible	)/32768.0
	
	#10,40 =>(  40 * 256 + 10 )/ 32768 = 40 / 128 + 10 / 32768
	#10,250 => ( -6 * 256 + 10 )/32768 = -6 / 128 +10 /32768
	
def Valeur2S16b(nb):# -1.0 a 1.0-1/32768.0
	if nb==1.0:
		faible,fort=255,127
	elif nb>=0:
		fort=int(nb * 128.0) #40
		faible=int( (nb-fort/128.0)*32768.0 )
	else:
		fort=-int(-(nb*128.0+256)) #250
		faible=int( ( nb -(fort-256)/128.0   )*32768.0)
	return [faible,fort]



"""

"""
if _debug_Titres==True:
	_Log.close()	
	
"""	
print("fini")
